% anomaly leg1 leg2 and leg3
%%
%load data
%triaxus leg1,2 and 3, cast data
clear
%load data
leg1='/Users/hanmeng/data/in2019_v03CtdAvgTriaxus_VerticalCasts_nc/deployment1AvgCast.nc';
leg2_1='/Users/hanmeng/data/in2019_v03CtdAvgTriaxus_VerticalCasts_nc/deployment2Leg1AvgCast.nc';
leg2_2='/Users/hanmeng/data/in2019_v03CtdAvgTriaxus_VerticalCasts_nc/deployment2Leg2AvgCast.nc';
leg3='/Users/hanmeng/data/in2019_v03CtdAvgTriaxus_VerticalCasts_nc/deployment3AvgCast.nc';
%ncdisp(leg1);
[var1,Att1,Var_att1]=nc2mat(leg1);
[var2_1,Att2_1,Var_att2_1]=nc2mat(leg2_1);
[var2_2,Att2_2,Var_att2_2]=nc2mat(leg2_2);
[var3,Att3,Var_att3]=nc2mat(leg3);


%%
%leg1 data
c1.time=var1.time;
c1.time1 =(c1.time/1440+datenum(1900,01,01,0,0,0));
c1.pressure=var1.pressure;
c1.latitude=var1.latitude;
c1.longitude=var1.longitude;
c1.temperature=var1.temperature;
c1.salinity=var1.salinity;
c1.oxygen=var1.oxygen;
c1.par=var1.par;
c1.chlorophyll=var1.chlorophyll;
c1.obs=var1.obs;
c1.cdom=var1.cdom;
% c1.dist=[0 (gsw_distance(c1.longitude,c1.latitude)/1000)']';
c1.distance=var1.distance;

%calculate density
SA1 =  gsw_SA_from_SP(c1.salinity,c1.pressure',c1.longitude,c1.latitude);  %convert practical salinity to absolute salinity
CT1 = gsw_CT_from_t(SA1,c1.temperature,c1.pressure');  %assign temp to the conservative temperature at that depth
c1.sigma0 = gsw_sigma0(SA1,CT1);
c1.z= gsw_z_from_p(repmat(c1.pressure',length(c1.latitude),1),c1.latitude);
c1.depth = gsw_depth_from_z(c1.z);
%calc MLD from threshold
delsig=0.02;
z10=15; %depth level of reference T?
c1.mld = NaN(length(c1.latitude),1);
for t=1:length(c1.latitude)
    t_10 = c1.sigma0(z10,t);
    zind = find(c1.sigma0(z10+1:end,t)>=t_10+delsig,1);
    if ~isempty(zind)
      c1.mld(t) = c1.depth(t,zind+z10);
    end
end


%%
%leg2_1 data
c2.time=var2_1.time;
c2.time1 =(c2.time/1440+datenum(1900,01,01,0,0,0));
c2.pressure=var2_1.pressure;
c2.latitude=var2_1.latitude;
c2.longitude=var2_1.longitude;
c2.temperature=var2_1.temperature;
c2.salinity=var2_1.salinity;
c2.oxygen=var2_1.oxygen;
c2.par=var2_1.par;
c2.chlorophyll=var2_1.chlorophyll;
c2.obs=var2_1.obs;
c2.cdom=var2_1.cdom;
% c2_1.dist=[0 cumsum(gsw_distance(c2_1.longitude,c2_1.latitude))/1000];
c2.distance=var2_1.distance;
%calculate density
SA2 =  gsw_SA_from_SP(c2.salinity,c2.pressure',c2.longitude,c2.latitude);  %convert practical salinity to absolute salinity
CT2 = gsw_CT_from_t(SA2,c2.temperature,c2.pressure');  %assign temp to the conservative temperature at that depth
c2.sigma0 = gsw_sigma0(SA2,CT2);
c2.z= gsw_z_from_p(repmat(c2.pressure',length(c2.latitude),1),c2.latitude);
c2.depth = gsw_depth_from_z(c2.z);
%calc MLD from threshold
delsig=0.02;
z10=15; %depth level of reference T?
c2.mld = NaN(length(c2.latitude),1);
for t=1:length(c2.latitude)
    t_10 = c2.sigma0(z10,t);
    zind = find(c2.sigma0(z10+1:end,t)>=t_10+delsig,1);
    if ~isempty(zind)
      c2.mld(t) = c2.depth(t,zind+z10);
    end
end



%%
%leg2_2 data
c3.time=var2_2.time;
c3.time1 =(c3.time/1440+datenum(1900,01,01,0,0,0));
c3.pressure=var2_2.pressure;
c3.latitude=var2_2.latitude;
c3.longitude=var2_2.longitude;
c3.temperature=var2_2.temperature;
c3.salinity=var2_2.salinity;
c3.oxygen=var2_2.oxygen;
c3.par=var2_2.par;
c3.chlorophyll=var2_2.chlorophyll;
c3.obs=var2_2.obs;
c3.cdom=var2_2.cdom;
% c2_2.dist=[0 cumsum(gsw_distance(c2_2.longitude,c2_2.latitude))/1000];
c3.distance=var2_2.distance;
%calculate density
SA3 =  gsw_SA_from_SP(c3.salinity,c3.pressure',c3.longitude,c3.latitude);  %convert practical salinity to absolute salinity
CT3 = gsw_CT_from_t(SA3,c3.temperature,c3.pressure');  %assign temp to the conservative temperature at that depth
c3.sigma0 = gsw_sigma0(SA3,CT3);
c3.z= gsw_z_from_p(repmat(c3.pressure',length(c3.latitude),1),c3.latitude);
c3.depth = gsw_depth_from_z(c3.z);
%calc MLD from threshold
delsig=0.02;
z10=15; %depth level of reference T?
c3.mld = NaN(length(c3.latitude),1);
for t=1:length(c3.latitude)
    t_10 = c3.sigma0(z10,t);
    zind = find(c3.sigma0(z10+1:end,t)>=t_10+delsig,1);
    if ~isempty(zind)
      c3.mld(t) = c3.depth(t,zind+z10);
    end
end

%%

%put two leg2 together
c5.time=[c2.time;c3.time(2:end)];
c5.time1=[c2.time1; c3.time1(2:end)];
c5.pressure=c2.pressure;
c5.latitude=[c2.latitude;c3.latitude(2:end)];
c5.longitude=[c2.longitude; c3.longitude(2:end)];
c5.temperature=[c2.temperature;c3.temperature(2:end,1:310)];
c5.salinity=[c2.salinity;c3.salinity(2:end,1:310)];
c5.oxygen=[c2.oxygen;c3.oxygen(2:end,1:310)];
c5.par=[c2.par;c3.par(2:end,1:310)];
c5.chlorophyll=[c2.chlorophyll;c3.chlorophyll(2:end,1:310)];
c5.obs=[c2.obs;c3.obs(2:end,1:310)];
c5.cdom=[c2.cdom;c3.cdom(2:end,1:310)];
% c2_2.dist=[0 cumsum(gsw_distance(c2_2.longitude,c2_2.latitude))/1000];
c5.distance=[c2.distance(1:end);c3.distance(2:end)+c2.distance(end)];
%calculate density
SA5 =  [SA2;SA3(2:end,1:310)]; %convert practical salinity to absolute salinity
CT5 = [CT2;CT3(2:end,1:310)];  %assign temp to the conservative temperature at that depth
c5.sigma0 = [c2.sigma0;c3.sigma0(2:end,1:310)];
c5.z= [c2.z;c3.z(2:end,1:310)];
c5.depth = [c2.depth;c3.depth(2:end,1:310)];
%calc MLD from threshold
delsig=0.02;
z10=15; %depth level of reference T?
c5.mld =[c2.mld;c3.mld(2:end)];

%%
%leg3 data
c4.time=var3.time;
c4.time1 =(c4.time/1440+datenum(1900,01,01,0,0,0));
c4.pressure=var3.pressure;
c4.latitude=var3.latitude;
c4.longitude=var3.longitude;
c4.temperature=var3.temperature;
c4.salinity=var3.salinity;
c4.oxygen=var3.oxygen;
c4.par=var3.par;
c4.chlorophyll=var3.chlorophyll;
c4.obs=var3.obs;
c4.cdom=var3.cdom;
% c3.dist=[0 cumsum(gsw_distance(c3.longitude,c3.latitude))/1000];
c4.distance=var3.distance;
%calculate density
SA4 =  gsw_SA_from_SP(c4.salinity,c4.pressure',c4.longitude,c4.latitude);  %convert practical salinity to absolute salinity
CT4 = gsw_CT_from_t(SA4,c4.temperature,c4.pressure');  %assign temp to the conservative temperature at that depth
c4.sigma0 = gsw_sigma0(SA4,CT4);
c4.z= gsw_z_from_p(repmat(c4.pressure',length(c4.latitude),1),c4.latitude);
c4.depth = gsw_depth_from_z(c4.z);
%calc MLD from threshold
delsig=0.02;
z10=15; %depth level of reference T?
c4.mld = NaN(length(c4.latitude),1);
for t=1:length(c4.latitude)
    t_10 = c4.sigma0(z10,t);
    zind = find(c4.sigma0(z10+1:end,t)>=t_10+delsig,1);
    if ~isempty(zind)
      c4.mld(t) = c4.depth(t,zind+z10);
    end
end


%%
%then load adcp data
%subset adcp at same times as triaxus
cd '~/data/Triaxus/section/'
fn=(['os150nb.nc']);
adcp_lat = ncread(fn,'lat');
adcp_lon = ncread(fn,'lon');
adcp_depth = ncread(fn,'depth');
adcp_time = datenum(2019,01,01,00,00,00)+ncread(fn,'time');
u = ncread(fn,'u');
v = ncread(fn,'v');

%%

%find adcp times with 1 5-minute bin offset for distance between ship and
%triaxus
%leg1
 tstart = find(adcp_time>=c1.time1(1),1)-1;
 tend = find(adcp_time>=c1.time1(end),1)-1;
% tstart = find(adcp_time>=c2.time1(1),1)-1;
% tend = find(adcp_time>=c2.time1(end),1)-1;
% tstart = find(adcp_time>=c3.time1(1),1)-1;
% tend = find(adcp_time>=c3.time1(end),1)-1;
% tstart = find(adcp_time>=c4.time1(1),1)-1;
% tend = find(adcp_time>=c4.time1(end),1)-1;



lat_sec = adcp_lat(tstart:tend);
lon_sec = adcp_lon(tstart:tend);
lat_sec(lat_sec>0)=NaN;
good_index = ~isnan(lat_sec);
lat_sec = lat_sec(good_index);
lat_sec=sort(lat_sec,'descend');
u_sec = u(:,tstart:tend);
u_sec = u_sec(:,good_index);
u_sec(u_sec>=10) = NaN;
v_sec = v(:,tstart:tend);
v_sec = v_sec(:,good_index);
v_sec(v_sec>=10) = NaN;
d_sec = adcp_depth(:,tstart:tend);
t_sec = adcp_time(tstart:tend);
f_sec = gsw_f(lat_sec);
adcp_dist=[0 cumsum(gsw_distance(lon_sec,lat_sec))'/1000];
[speed,dir] = comp2speed(u_sec,v_sec,0);
%calculate rotation
%leg1
latlon1=[c1.latitude(1) c1.longitude(1)];
latlon2=[c1.latitude(end) c1.longitude(1)];
deltlat2=lldisk(latlon1,latlon2);
latlon1=[c1.latitude(end) c1.longitude(1)];
latlon2=[c1.latitude(end) c1.longitude(end)];
deltlon2=lldisk(latlon1,latlon2);
%leg3
% latlon1=[c4.latitude(1) c4.longitude(1)];
% latlon2=[c4.latitude(end) c4.longitude(1)];
% deltlat2=lldisk(latlon1,latlon2);
% latlon1=[c4.latitude(end) c4.longitude(1)];
% latlon2=[c4.latitude(end) c4.longitude(end)];
% deltlon2=lldisk(latlon1,latlon2);
%leg2_1
% latlon1=[c2.latitude(1) c2.longitude(1)];
% latlon2=[c2.latitude(end) c2.longitude(1)];
% deltlat2=lldisk(latlon1,latlon2);
% latlon1=[c2.latitude(end) c2.longitude(1)];
% latlon2=[c2.latitude(end) c2.longitude(end)];
% deltlon2=lldisk(latlon1,latlon2);
%leg2_2
% latlon1=[c3.latitude(1) c3.longitude(1)];
% latlon2=[c3.latitude(end) c3.longitude(1)];
% deltlat2=lldisk(latlon1,latlon2);
% latlon1=[c3.latitude(end) c3.longitude(1)];
% latlon2=[c3.latitude(end) c3.longitude(end)];
% deltlon2=lldisk(latlon1,latlon2);

ro1=-atan(deltlon2/deltlat2)*180/pi
%  ro2_1=180-atan(deltlon2/deltlat2)*180/pi
%  ro2_2=180-atan(deltlon2/deltlat2)*180/pi
% ro3=-atan(deltlon2/deltlat2)*180/pi


[u2,v2] = speed2comp(speed,dir,ro1);
% [u2,v2] = speed2comp(speed,dir,ro2_1);
% [u2,v2] = speed2comp(speed,dir,ro2_2);
% [u2,v2] = speed2comp(speed,dir,ro3);


%%
%first leg1
%temperature

%calculate mean temperature profile
Tbar1=nanmean(CT1,1);

%calculate anomaly
Tprime1 = CT1'-Tbar1'*ones(1,168); %change tbar to 306*168 matrix

%%
%draw the temperature anomely
figure(1)
subplot(4,2,2)
pcolor(c1.distance,c1.pressure,Tprime1)
shading flat
hold on
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
%caxis=[-5 5];
h=colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','^{\circ}C');
title('Temperature anomaly')
hold on 
% [a,b]=contour(c2.dist,c2.p,c2.sigma0,'r-');
% clabel(a,b)
% 
% hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.10:0.80],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')

subplot(4,2,1)

%plot temeprature
pcolor(c1.distance,c1.pressure,CT1')

shading flat
hold on
% plot(c.lat,c.mld,'k','LineWidth',1.75)
% hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
clims = [15 25];
caxis(clims)
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','^{\circ}C');
title('Temperature')
 

%%
%leg1
%oxygen
%calculate mean oxygen profile
Obar1=nanmean(c1.oxygen,1);

%calculate anomaly
Oprime1= c1.oxygen'-Obar1'*ones(1,168); %change tbar to 306*168 matrix

%draw the oxygen anomely
% figure(2)
subplot(4,2,4)
pcolor(c1.distance,c1.pressure,Oprime1)
shading flat
hold on
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','uM');
title('Oxygen anomaly')
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
% hold on 
% [a,b]=contour(c2.dist,c2.p,c2.sigma0,'g-');
% clabel(a,b)

subplot(4,2,3)
clims = [100 230];

pcolor(c1.distance,c1.pressure,c1.oxygen')
shading flat
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
%[C,h]=contour(lat_sec,d_sec(:,1),u2);
%clabel(C,h,'Color','r')
%plot(c.lat,v2,'r','LineWidth',1.75)
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
caxis(clims)
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','uM');
title('Oxygen')

%%
%leg1
%salinity

%calculate mean salinity profile
Sbar1=nanmean(SA1,1);

%calculate anomaly
Sprime1 = SA1'-Sbar1'*ones(1,168); %change tbar to  matrix

%draw the salinity anomely
% figure(3)
subplot(4,2,6)
pcolor(c1.distance,c1.pressure,Sprime1)
shading flat
hold on
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','g/kg');
title('salinity anomaly')
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
% hold on 
% [a,b]=contour(c2.lat,c2.p,c2.sigma0,'g-');
% clabel(a,b)

clims = [34 36];
subplot(4,2,5)
pcolor(c1.distance,c1.pressure,SA1')
shading flat
hold on
% plot(c.lat,c.mld,'k','LineWidth',1.75)
% hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300])
h=colorbar;
caxis(clims)
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','g/kg');
title('Salinity')

%%
%density
%leg1

%calculate mean salinity profile
Dbar1=nanmean(c1.sigma0,1);

%calculate anomaly
Dprime1 = c1.sigma0'-Dbar1'*ones(1,168); %change tbar to  matrix

%draw the salinity anomely
% figure(4)
subplot(4,2,8)
pcolor(c1.distance,c1.pressure,Dprime1)
shading flat
hold on
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
title('potential density anomaly')
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
% hold on 
% [a,b]=contour(c2.lat,c2.p,c2.sigma0,'g-');
% clabel(a,b)

clims = [22.8 26.8];
subplot(4,2,7)
pcolor(c1.distance,c1.pressure,c1.sigma0')
shading flat
hold on
% plot(c.lat,c.mld,'k','LineWidth',1.75)
% hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300])
h=colorbar;
caxis(clims)
ylabel('pressure (db)')
xlabel('distance(km)')
title('Potential Density')

%%
%draw about velocity
%leg1

%plot u2
u_fig=figure(2);
subplot(2,1,1)
pcolor(adcp_dist,d_sec(:,1),u2)
shading flat
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.01:0.03],'k-');
clabel(c,h,0.02,'FontSize',8,'color','k')
hold on
[a,d]=contour(c1.distance,c1.pressure,c1.sigma0',[23:1:26],'color',[0.7 0.7 0.7]);
% clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
set(gca,'Ydir','reverse','tickdir','out');
colormap(u_fig,redblue);
caxis([-.6 .6]);
ylim([0 300])
colorbar();
ylabel('pressure (db)')
xlabel('distance(km)')
hold on
title('across-track velocity')
h=colorbar;
set(get(h,'title'),'string','m/s');

%plot v2
v_fig=figure(2);
subplot(2,1,2)
pcolor(adcp_dist,d_sec(:,1),v2)
shading flat

hold on
[a,d]=contour(c1.distance,c1.pressure,c1.sigma0',[23:1:26],'color',[0.7 0.7 0.7]);
clabel(a,d);
set(gca,'Ydir','reverse','tickdir','out');
colormap(v_fig,redblue);
caxis([-0.6 0.6]);
ylim([0 300])
colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
hold on
title('along-track velocity')
h=colorbar;
set(get(h,'title'),'string','m/s');

%%
% % 
% % %%
% % 
% % %find adcp times with 1 5-minute bin offset for distance between ship and
% % %triaxus
% % %leg2_1
% % %  tstart = find(adcp_time>=c1.time1(1),1)-1;
% % %  tend = find(adcp_time>=c1.time1(end),1)-1;
% % tstart = find(adcp_time>=c2.time1(1),1)-1;
% % tend = find(adcp_time>=c2.time1(end),1)-1;
% % % tstart = find(adcp_time>=c3.time1(1),1)-1;
% % % tend = find(adcp_time>=c3.time1(end),1)-1;
% % % tstart = find(adcp_time>=c4.time1(1),1)-1;
% % % tend = find(adcp_time>=c4.time1(end),1)-1;
% % 
% % 
% % 
% % lat_sec = adcp_lat(tstart:tend);
% % lon_sec = adcp_lon(tstart:tend);
% % lat_sec(lat_sec>0)=NaN;
% % good_index = ~isnan(lat_sec);
% % lat_sec = lat_sec(good_index);
% % lat_sec=sort(lat_sec,'descend');
% % u_sec = u(:,tstart:tend);
% % u_sec = u_sec(:,good_index);
% % u_sec(u_sec>=10) = NaN;
% % v_sec = v(:,tstart:tend);
% % v_sec = v_sec(:,good_index);
% % v_sec(v_sec>=10) = NaN;
% % d_sec = adcp_depth(:,tstart:tend);
% % t_sec = adcp_time(tstart:tend);
% % f_sec = gsw_f(lat_sec);
% % adcp_dist=[0 cumsum(gsw_distance(lon_sec,lat_sec))'/1000];
% % [speed,dir] = comp2speed(u_sec,v_sec,0);
% % %calculate rotation
% % %leg1
% % % latlon1=[c1.latitude(1) c1.longitude(1)];
% % % latlon2=[c1.latitude(end) c1.longitude(1)];
% % % deltlat2=lldisk(latlon1,latlon2);
% % % latlon1=[c1.latitude(end) c1.longitude(1)];
% % % latlon2=[c1.latitude(end) c1.longitude(end)];
% % % deltlon2=lldisk(latlon1,latlon2);
% % %leg3
% % % latlon1=[c4.latitude(1) c4.longitude(1)];
% % % latlon2=[c4.latitude(end) c4.longitude(1)];
% % % deltlat2=lldisk(latlon1,latlon2);
% % % latlon1=[c4.latitude(end) c4.longitude(1)];
% % % latlon2=[c4.latitude(end) c4.longitude(end)];
% % % deltlon2=lldisk(latlon1,latlon2);
% % %leg2_1
% % latlon1=[c2.latitude(1) c2.longitude(1)];
% % latlon2=[c2.latitude(end) c2.longitude(1)];
% % deltlat2=lldisk(latlon1,latlon2);
% % latlon1=[c2.latitude(end) c2.longitude(1)];
% % latlon2=[c2.latitude(end) c2.longitude(end)];
% % deltlon2=lldisk(latlon1,latlon2);
% % %leg2_2
% % % latlon1=[c3.latitude(1) c3.longitude(1)];
% % % latlon2=[c3.latitude(end) c3.longitude(1)];
% % % deltlat2=lldisk(latlon1,latlon2);
% % % latlon1=[c3.latitude(end) c3.longitude(1)];
% % % latlon2=[c3.latitude(end) c3.longitude(end)];
% % % deltlon2=lldisk(latlon1,latlon2);
% % 
% % % ro1=-atan(deltlon2/deltlat2)*180/pi
% %  ro2_1=180-atan(deltlon2/deltlat2)*180/pi
% % %  ro2_2=180-atan(deltlon2/deltlat2)*180/pi
% % % ro3=-atan(deltlon2/deltlat2)*180/pi
% % 
% % 
% % % [u2,v2] = speed2comp(speed,dir,ro1);
% % [u2,v2] = speed2comp(speed,dir,ro2_1);
% % % [u2,v2] = speed2comp(speed,dir,ro2_2);
% % % [u2,v2] = speed2comp(speed,dir,ro3);
% % 
% % 
% % %%
% % %first leg2_1
% % %temperature
% % 
% % %calculate mean temperature profile
% % Tbar2=nanmean(CT2,1);
% % 
% % %calculate anomaly
% % Tprime2 = CT2'-Tbar2'*ones(1,144); %change tbar to 306*168 matrix
% % 
% % %%
% % %draw the temperature anomely
% % figure(3)
% % subplot(4,2,2)
% % pcolor(c2.distance,c2.pressure,Tprime2)
% % shading flat
% % hold on
% % set(gca,'Ydir','reverse')
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300]);
% % %caxis=[-5 5];
% % h=colorbar;
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % set(get(h,'title'),'string','^{\circ}C');
% % title('Temperature anomely')
% % hold on 
% % % [a,b]=contour(c2.dist,c2.p,c2.sigma0,'r-');
% % % clabel(a,b)
% % % 
% % % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % 
% % subplot(4,2,1)
% % 
% % %plot temeprature
% % pcolor(c2.distance,c2.pressure,CT2')
% % 
% % shading flat
% % hold on
% % % plot(c.lat,c.mld,'k','LineWidth',1.75)
% % % hold on
% % [C,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(C,h,[0:0.1:0.8])
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300]);
% % h=colorbar;
% % clims = [15 25];
% % caxis(clims)
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % set(get(h,'title'),'string','^{\circ}C');
% % title('Temperature')
% %  
% % 
% % %%
% % %leg2_1
% % %oxygen
% % %calculate mean oxygen profile
% % Obar2=nanmean(c2.oxygen,1);
% % 
% % %calculate anomaly
% % Oprime2 = c2.oxygen'-Obar2'*ones(1,144); %change tbar to 306*168 matrix
% % 
% % %draw the oxygen anomely
% % % figure(2)
% % subplot(4,2,4)
% % pcolor(c2.distance,c2.pressure,Oprime2)
% % shading flat
% % hold on
% % set(gca,'Ydir','reverse')
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300]);
% % h=colorbar;
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % set(get(h,'title'),'string','uM');
% % title('Oxygen anomely')
% % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % % hold on 
% % % [a,b]=contour(c2.dist,c2.p,c2.sigma0,'g-');
% % % clabel(a,b)
% % 
% % subplot(4,2,3)
% % clims = [100 230];
% % 
% % pcolor(c2.distance,c2.pressure,c2.oxygen')
% % shading flat
% % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % %[C,h]=contour(lat_sec,d_sec(:,1),u2);
% % %clabel(C,h,'Color','r')
% % %plot(c.lat,v2,'r','LineWidth',1.75)
% % set(gca,'Ydir','reverse')
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300]);
% % h=colorbar;
% % caxis(clims)
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % set(get(h,'title'),'string','uM');
% % title('Oxygen')

% % %%
% % %leg2_1
% % %salinity
% % 
% % %calculate mean salinity profile
% % Sbar2=nanmean(SA2,1);
% % 
% % %calculate anomaly
% % Sprime2 = SA2'-Sbar2'*ones(1,144); %change tbar to  matrix
% % 
% % %draw the salinity anomely
% % % figure(3)
% % subplot(4,2,6)
% % pcolor(c2.distance,c2.pressure,Sprime2)
% % shading flat
% % hold on
% % set(gca,'Ydir','reverse')
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300]);
% % h=colorbar;
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % set(get(h,'title'),'string','g/kg');
% % title('salinity anomely')
% % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % % hold on 
% % % [a,b]=contour(c2.lat,c2.p,c2.sigma0,'g-');
% % % clabel(a,b)
% % 
% % clims = [34 36];
% % subplot(4,2,5)
% % pcolor(c2.distance,c2.pressure,SA2')
% % shading flat
% % hold on
% % % plot(c.lat,c.mld,'k','LineWidth',1.75)
% % % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300])
% % h=colorbar;
% % caxis(clims)
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % set(get(h,'title'),'string','g/kg');
% % title('Salinity')
% % 
% % %%
% % %density
% % %leg2_1
% % 
% % %calculate mean salinity profile
% % Dbar2=nanmean(c2.sigma0,1);
% % 
% % %calculate anomaly
% % Dprime2 = c2.sigma0'-Dbar2'*ones(1,144); %change tbar to  matrix
% % 
% % %draw the salinity anomely
% % % figure(4)
% % subplot(4,2,8)
% % pcolor(c2.distance,c2.pressure,Dprime2)
% % shading flat
% % hold on
% % set(gca,'Ydir','reverse')
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300]);
% % h=colorbar;
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % title('potential density anomely')
% % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % % hold on 
% % % [a,b]=contour(c2.lat,c2.p,c2.sigma0,'g-');
% % % clabel(a,b)
% % 
% % clims = [22.8 26.8];
% % subplot(4,2,7)
% % pcolor(c2.distance,c2.pressure,c2.sigma0')
% % shading flat
% % hold on
% % % plot(c.lat,c.mld,'k','LineWidth',1.75)
% % % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300])
% % h=colorbar;
% % caxis(clims)
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % title('Density')
% % 
% % %%
% % %draw about velocity
% % %leg2_1
% % 
% % %plot u2
% % u_fig=figure(4);
% % subplot(2,1,1)
% % pcolor(adcp_dist,d_sec(:,1),u2)
% % shading flat
% % set(gca,'Ydir','reverse','tickdir','out');
% % colormap(u_fig,redblue);
% % caxis([-.6 .6]);
% % ylim([0 300])
% % colorbar();
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % hold on
% % title('Velocity u-component prime')
% % 
% % %plot v2
% % v_fig=figure(4);
% % subplot(2,1,2)
% % pcolor(adcp_dist,d_sec(:,1),v2)
% % shading flat
% % set(gca,'Ydir','reverse','tickdir','out');
% % colormap(v_fig,redblue);
% % caxis([-0.6 0.6]);
% % ylim([0 300])
% % colorbar;
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % hold on
% % title('Velocity v-component prime')
% % 
% % 
% % 
% % %%
% % 
% % %find adcp times with 1 5-minute bin offset for distance between ship and
% % %triaxus
% % %leg2_2
% % %  tstart = find(adcp_time>=c1.time1(1),1)-1;
% % %  tend = find(adcp_time>=c1.time1(end),1)-1;
% % % tstart = find(adcp_time>=c2.time1(1),1)-1;
% % % tend = find(adcp_time>=c2.time1(end),1)-1;
% % tstart = find(adcp_time>=c3.time1(1),1)-1;
% % tend = find(adcp_time>=c3.time1(end),1)-1;
% % % tstart = find(adcp_time>=c4.time1(1),1)-1;
% % % tend = find(adcp_time>=c4.time1(end),1)-1;
% % 
% % 
% % 
% % lat_sec = adcp_lat(tstart:tend);
% % lon_sec = adcp_lon(tstart:tend);
% % lat_sec(lat_sec>0)=NaN;
% % good_index = ~isnan(lat_sec);
% % lat_sec = lat_sec(good_index);
% % lat_sec=sort(lat_sec,'descend');
% % u_sec = u(:,tstart:tend);
% % u_sec = u_sec(:,good_index);
% % u_sec(u_sec>=10) = NaN;
% % v_sec = v(:,tstart:tend);
% % v_sec = v_sec(:,good_index);
% % v_sec(v_sec>=10) = NaN;
% % d_sec = adcp_depth(:,tstart:tend);
% % t_sec = adcp_time(tstart:tend);
% % f_sec = gsw_f(lat_sec);
% % adcp_dist=[0 cumsum(gsw_distance(lon_sec,lat_sec))'/1000];
% % [speed,dir] = comp2speed(u_sec,v_sec,0);
% % %calculate rotation
% % %leg1
% % % latlon1=[c1.latitude(1) c1.longitude(1)];
% % % latlon2=[c1.latitude(end) c1.longitude(1)];
% % % deltlat2=lldisk(latlon1,latlon2);
% % % latlon1=[c1.latitude(end) c1.longitude(1)];
% % % latlon2=[c1.latitude(end) c1.longitude(end)];
% % % deltlon2=lldisk(latlon1,latlon2);
% % %leg3
% % % latlon1=[c4.latitude(1) c4.longitude(1)];
% % % latlon2=[c4.latitude(end) c4.longitude(1)];
% % % deltlat2=lldisk(latlon1,latlon2);
% % % latlon1=[c4.latitude(end) c4.longitude(1)];
% % % latlon2=[c4.latitude(end) c4.longitude(end)];
% % % deltlon2=lldisk(latlon1,latlon2);
% % %leg2_1
% % % latlon1=[c2.latitude(1) c2.longitude(1)];
% % % latlon2=[c2.latitude(end) c2.longitude(1)];
% % % deltlat2=lldisk(latlon1,latlon2);
% % % latlon1=[c2.latitude(end) c2.longitude(1)];
% % % latlon2=[c2.latitude(end) c2.longitude(end)];
% % % deltlon2=lldisk(latlon1,latlon2);
% % %leg2_2
% % latlon1=[c3.latitude(1) c3.longitude(1)];
% % latlon2=[c3.latitude(end) c3.longitude(1)];
% % deltlat2=lldisk(latlon1,latlon2);
% % latlon1=[c3.latitude(end) c3.longitude(1)];
% % latlon2=[c3.latitude(end) c3.longitude(end)];
% % deltlon2=lldisk(latlon1,latlon2);
% % 
% % % ro1=-atan(deltlon2/deltlat2)*180/pi
% % %  ro2_1=180-atan(deltlon2/deltlat2)*180/pi
% %  ro2_2=180-atan(deltlon2/deltlat2)*180/pi
% % % ro3=-atan(deltlon2/deltlat2)*180/pi
% % 
% % 
% % % [u2,v2] = speed2comp(speed,dir,ro1);
% % % [u2,v2] = speed2comp(speed,dir,ro2_1);
% % [u2,v2] = speed2comp(speed,dir,ro2_2);
% % % [u2,v2] = speed2comp(speed,dir,ro3);
% % 
% % 
% % %%
% % %first leg2_2
% % %temperature
% % 
% % %calculate mean temperature profile
% % Tbar3=nanmean(CT3,1);
% % 
% % %calculate anomaly
% % Tprime3 = CT3'-Tbar3'*ones(1,128); %change tbar to 306*168 matrix
% % 
% % %%
% % %draw the temperature anomely
% % figure(5)
% % subplot(4,2,2)
% % pcolor(c3.distance,c3.pressure,Tprime3)
% % shading flat
% % hold on
% % set(gca,'Ydir','reverse')
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300]);
% % %caxis=[-5 5];
% % h=colorbar;
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % set(get(h,'title'),'string','^{\circ}C');
% % title('Temperature anomely')
% % hold on 
% % % [a,b]=contour(c2.dist,c2.p,c2.sigma0,'r-');
% % % clabel(a,b)
% % % 
% % % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % 
% % subplot(4,2,1)
% % 
% % %plot temeprature
% % pcolor(c3.distance,c3.pressure,CT3')
% % 
% % shading flat
% % hold on
% % % plot(c.lat,c.mld,'k','LineWidth',1.75)
% % % hold on
% % [C,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(C,h,[0:0.1:0.8])
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300]);
% % h=colorbar;
% % clims = [15 25];
% % caxis(clims)
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % set(get(h,'title'),'string','^{\circ}C');
% % title('Temperature')
% %  
% % 
% % %%
% % %leg2_2
% % %oxygen
% % %calculate mean oxygen profile
% % Obar3=nanmean(c3.oxygen,1);
% % 
% % %calculate anomaly
% % Oprime3 = c3.oxygen'-Obar3'*ones(1,128); %change tbar to 306*168 matrix
% % 
% % %draw the oxygen anomely
% % % figure(2)
% % subplot(4,2,4)
% % pcolor(c3.distance,c3.pressure,Oprime3)
% % shading flat
% % hold on
% % set(gca,'Ydir','reverse')
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300]);
% % h=colorbar;
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % set(get(h,'title'),'string','uM');
% % title('Oxygen anomely')
% % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % % hold on 
% % % [a,b]=contour(c2.dist,c2.p,c2.sigma0,'g-');
% % % clabel(a,b)
% % 
% % subplot(4,2,3)
% % clims = [100 230];
% % 
% % pcolor(c3.distance,c3.pressure,c3.oxygen')
% % shading flat
% % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % %[C,h]=contour(lat_sec,d_sec(:,1),u2);
% % %clabel(C,h,'Color','r')
% % %plot(c.lat,v2,'r','LineWidth',1.75)
% % set(gca,'Ydir','reverse')
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300]);
% % h=colorbar;
% % caxis(clims)
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % set(get(h,'title'),'string','uM');
% % title('Oxygen')

%%
%leg2_2
%salinity

% % %calculate mean salinity profile
% % Sbar3=nanmean(SA3,1);
% % 
% % %calculate anomaly
% % Sprime3 = SA3'-Sbar3'*ones(1,128); %change tbar to  matrix
% % 
% % %draw the salinity anomely
% % % figure(3)
% % subplot(4,2,6)
% % pcolor(c3.distance,c3.pressure,Sprime3)
% % shading flat
% % hold on
% % set(gca,'Ydir','reverse')
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300]);
% % h=colorbar;
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % set(get(h,'title'),'string','g/kg');
% % title('salinity anomely')
% % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % % hold on 
% % % [a,b]=contour(c2.lat,c2.p,c2.sigma0,'g-');
% % % clabel(a,b)
% % 
% % clims = [34 36];
% % subplot(4,2,5)
% % pcolor(c3.distance,c3.pressure,SA3')
% % shading flat
% % hold on
% % % plot(c.lat,c.mld,'k','LineWidth',1.75)
% % % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300])
% % h=colorbar;
% % caxis(clims)
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % set(get(h,'title'),'string','g/kg');
% % title('Salinity')
% % 
% % %%
% % %density
% % %leg2_2
% % 
% % %calculate mean salinity profile
% % Dbar3=nanmean(c3.sigma0,1);
% % 
% % %calculate anomaly
% % Dprime3 = c3.sigma0'-Dbar3'*ones(1,128); %change tbar to  matrix
% % 
% % %draw the salinity anomely
% % % figure(4)
% % subplot(4,2,8)
% % pcolor(c3.distance,c3.pressure,Dprime3)
% % shading flat
% % hold on
% % set(gca,'Ydir','reverse')
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300]);
% % h=colorbar;
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % title('potential density anomely')
% % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % % hold on 
% % % [a,b]=contour(c2.lat,c2.p,c2.sigma0,'g-');
% % % clabel(a,b)
% % 
% % clims = [22.8 26.8];
% % subplot(4,2,7)
% % pcolor(c3.distance,c3.pressure,c3.sigma0')
% % shading flat
% % hold on
% % % plot(c.lat,c.mld,'k','LineWidth',1.75)
% % % hold on
% % [c,h]=contour(adcp_dist,d_sec(:,1),u2,[0:0.1:0.8],'k-');
% % clabel(c,h,[0:0.1:0.8])
% % set(gca,'Ydir','reverse','tickdir','out');
% % ylim([0 300])
% % h=colorbar;
% % caxis(clims)
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % title('Density')
% % 
% % %%
% % %draw about velocity
% % %leg2_2
% % 
% % %plot u2
% % u_fig=figure(6);
% % subplot(2,1,1)
% % pcolor(adcp_dist,d_sec(:,1),u2)
% % shading flat
% % set(gca,'Ydir','reverse','tickdir','out');
% % colormap(u_fig,redblue);
% % caxis([-.6 .6]);
% % ylim([0 300])
% % colorbar();
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % hold on
% % title('Velocity u-component prime')
% % 
% % %plot v2
% % v_fig=figure(6);
% % subplot(2,1,2)
% % pcolor(adcp_dist,d_sec(:,1),v2)
% % shading flat
% % set(gca,'Ydir','reverse','tickdir','out');
% % colormap(v_fig,redblue);
% % caxis([-0.6 0.6]);
% % ylim([0 300])
% % colorbar;
% % ylabel('pressure (db)')
% % xlabel('distance(km)')
% % hold on
% % title('Velocity v-component prime')



%%

%find adcp times with 1 5-minute bin offset for distance between ship and
%triaxus
%leg3
%  tstart = find(adcp_time>=c1.time1(1),1)-1;
%  tend = find(adcp_time>=c1.time1(end),1)-1;
% tstart = find(adcp_time>=c2.time1(1),1)-1;
% tend = find(adcp_time>=c2.time1(end),1)-1;
% tstart = find(adcp_time>=c3.time1(1),1)-1;
% tend = find(adcp_time>=c3.time1(end),1)-1;
tstart = find(adcp_time>=c4.time1(1),1)-1;
tend = find(adcp_time>=c4.time1(end),1)-1;



lat_sec = adcp_lat(tstart:tend);
lon_sec = adcp_lon(tstart:tend);
lat_sec(lat_sec>0)=NaN;
good_index = ~isnan(lat_sec);
lat_sec = lat_sec(good_index);
lat_sec=sort(lat_sec,'descend');
u_sec = u(:,tstart:tend);
u_sec = u_sec(:,good_index);
u_sec(u_sec>=10) = NaN;
v_sec = v(:,tstart:tend);
v_sec = v_sec(:,good_index);
v_sec(v_sec>=10) = NaN;
d_sec = adcp_depth(:,tstart:tend);
t_sec = adcp_time(tstart:tend);
f_sec = gsw_f(lat_sec);
adcp_dist=[0 cumsum(gsw_distance(lon_sec,lat_sec))'/1000];
[speed,dir] = comp2speed(u_sec,v_sec,0);
%calculate rotation
%leg1
% latlon1=[c1.latitude(1) c1.longitude(1)];
% latlon2=[c1.latitude(end) c1.longitude(1)];
% deltlat2=lldisk(latlon1,latlon2);
% latlon1=[c1.latitude(end) c1.longitude(1)];
% latlon2=[c1.latitude(end) c1.longitude(end)];
% deltlon2=lldisk(latlon1,latlon2);
%leg3
latlon1=[c4.latitude(1) c4.longitude(1)];
latlon2=[c4.latitude(end) c4.longitude(1)];
deltlat2=lldisk(latlon1,latlon2);
latlon1=[c4.latitude(end) c4.longitude(1)];
latlon2=[c4.latitude(end) c4.longitude(end)];
deltlon2=lldisk(latlon1,latlon2);
%leg2_1
% latlon1=[c2.latitude(1) c2.longitude(1)];
% latlon2=[c2.latitude(end) c2.longitude(1)];
% deltlat2=lldisk(latlon1,latlon2);
% latlon1=[c2.latitude(end) c2.longitude(1)];
% latlon2=[c2.latitude(end) c2.longitude(end)];
% deltlon2=lldisk(latlon1,latlon2);
%leg2_2
% latlon1=[c3.latitude(1) c3.longitude(1)];
% latlon2=[c3.latitude(end) c3.longitude(1)];
% deltlat2=lldisk(latlon1,latlon2);
% latlon1=[c3.latitude(end) c3.longitude(1)];
% latlon2=[c3.latitude(end) c3.longitude(end)];
% deltlon2=lldisk(latlon1,latlon2);

% ro1=-atan(deltlon2/deltlat2)*180/pi
%  ro2_1=180-atan(deltlon2/deltlat2)*180/pi
%  ro2_2=180-atan(deltlon2/deltlat2)*180/pi
ro3=-atan(deltlon2/deltlat2)*180/pi


% [u2,v2] = speed2comp(speed,dir,ro1);
% [u2,v2] = speed2comp(speed,dir,ro2_1);
% [u2,v2] = speed2comp(speed,dir,ro2_2);
[u2,v2] = speed2comp(speed,dir,ro3);


%%
%first leg3
%temperature

%calculate mean temperature profile
Tbar4=nanmean(CT4,1);

%calculate anomaly
Tprime4 = CT4'-Tbar4'*ones(1,147); %change tbar to 306*168 matrix

%%
%draw the temperature anomely
figure(7)
subplot(4,2,2)
pcolor(c4.distance,c4.pressure,Tprime4)
shading flat
hold on
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
%caxis=[-5 5];
h=colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','^{\circ}C');
title('Temperature anomaly')
hold on 
% [a,b]=contour(c2.dist,c2.p,c2.sigma0,'r-');
% clabel(a,b)
% 
% hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
subplot(4,2,1)

%plot temeprature
pcolor(c4.distance,c4.pressure,CT4')

shading flat
hold on
% plot(c.lat,c.mld,'k','LineWidth',1.75)
% hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
clims = [15 25];
caxis(clims)
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','^{\circ}C');
title('Temperature')
 

%%
%leg3
%oxygen
%calculate mean oxygen profile
Obar4=nanmean(c4.oxygen,1);

%calculate anomaly
Oprime4 = c4.oxygen'-Obar4'*ones(1,147); %change tbar to 306*168 matrix

%draw the oxygen anomely
% figure(2)
subplot(4,2,4)
pcolor(c4.distance,c4.pressure,Oprime4)
shading flat
hold on
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','uM');
title('Oxygen anomaly')
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
% hold on 
% [a,b]=contour(c2.dist,c2.p,c2.sigma0,'g-');
% clabel(a,b)

subplot(4,2,3)
clims = [100 230];

pcolor(c4.distance,c4.pressure,c4.oxygen')
shading flat
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
%[C,h]=contour(lat_sec,d_sec(:,1),u2);
%clabel(C,h,'Color','r')
%plot(c.lat,v2,'r','LineWidth',1.75)
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
caxis(clims)
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','uM');
title('Oxygen')

%%
%leg3
%salinity

%calculate mean salinity profile
Sbar4=nanmean(SA4,1);

%calculate anomaly
Sprime4 = SA4'-Sbar4'*ones(1,147); %change tbar to  matrix

%draw the salinity anomely
% figure(3)
subplot(4,2,6)
pcolor(c4.distance,c4.pressure,Sprime4)
shading flat
hold on
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','g/kg');
title('salinity anomaly')
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
% hold on 
% [a,b]=contour(c2.lat,c2.p,c2.sigma0,'g-');
% clabel(a,b)

clims = [34 36];
subplot(4,2,5)
pcolor(c4.distance,c4.pressure,SA4')
shading flat
hold on
% plot(c.lat,c.mld,'k','LineWidth',1.75)
% hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300])
h=colorbar;
caxis(clims)
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','g/kg');
title('Salinity')

%%
%density
%leg3

%calculate mean salinity profile
Dbar4=nanmean(c4.sigma0,1);

%calculate anomaly
Dprime4 = c4.sigma0'-Dbar4'*ones(1,147); %change tbar to  matrix

%draw the salinity anomely
% figure(4)
subplot(4,2,8)
pcolor(c4.distance,c4.pressure,Dprime4)
shading flat
hold on
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
title('potential density anomaly')
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
% hold on 
% [a,b]=contour(c2.lat,c2.p,c2.sigma0,'g-');
% clabel(a,b)

clims = [22.8 26.8];
subplot(4,2,7)
pcolor(c4.distance,c4.pressure,c4.sigma0')
shading flat
hold on
% plot(c.lat,c.mld,'k','LineWidth',1.75)
% hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.1:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300])
h=colorbar;
caxis(clims)
ylabel('pressure (db)')
xlabel('distance(km)')
title('Density')

%%
%draw about velocity
%leg3

%plot u2
u_fig=figure(8);
subplot(2,1,1)
pcolor(adcp_dist,d_sec(:,1),u2)
shading flat
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.01:0.03],'k-');
clabel(c,h,0.02,'FontSize',8,'color','k')
hold on
[a,d]=contour(c4.distance,c4.pressure,c4.sigma0',[23:1:26],'color',[0.7 0.7 0.7]);
set(gca,'Ydir','reverse','tickdir','out');
colormap(u_fig,redblue);
caxis([-.6 .6]);
ylim([0 300])
colorbar();
ylabel('pressure (db)')
xlabel('distance(km)')
hold on
title('across-track velocity')
h=colorbar;
set(get(h,'title'),'string','m/s');
%plot v2
v_fig=figure(8);
subplot(2,1,2)
pcolor(adcp_dist,d_sec(:,1),v2)
shading flat
hold on
[a,d]=contour(c4.distance,c4.pressure,c4.sigma0',[23:1:26],'color',[0.7 0.7 0.7]);
clabel(a,d);
set(gca,'Ydir','reverse','tickdir','out');
colormap(v_fig,redblue);
caxis([-0.6 0.6]);
ylim([0 300])
colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
hold on
title('along-track velocity')
h=colorbar;
set(get(h,'title'),'string','m/s');


%%

%find adcp times with 1 5-minute bin offset for distance between ship and
%triaxus
%leg2 (c5)
%  tstart = find(adcp_time>=c1.time1(1),1)-1;
%  tend = find(adcp_time>=c1.time1(end),1)-1;
% tstart = find(adcp_time>=c2.time1(1),1)-1;
% tend = find(adcp_time>=c2.time1(end),1)-1;
% tstart = find(adcp_time>=c3.time1(1),1)-1;
% tend = find(adcp_time>=c3.time1(end),1)-1;
tstart = find(adcp_time>=c5.time1(1),1)-1;
tend = find(adcp_time>=c5.time1(end),1)-1;



lat_sec = adcp_lat(tstart:tend);
lon_sec = adcp_lon(tstart:tend);
lat_sec(lat_sec>0)=NaN;
good_index = ~isnan(lat_sec);
lat_sec = lat_sec(good_index);
lat_sec=sort(lat_sec,'descend');
u_sec = u(:,tstart:tend);
u_sec = u_sec(:,good_index);
u_sec(u_sec>=10) = NaN;
v_sec = v(:,tstart:tend);
v_sec = v_sec(:,good_index);
v_sec(v_sec>=10) = NaN;
d_sec = adcp_depth(:,tstart:tend);
t_sec = adcp_time(tstart:tend);
f_sec = gsw_f(lat_sec);
adcp_dist=[0 cumsum(gsw_distance(lon_sec,lat_sec))'/1000];
[speed,dir] = comp2speed(u_sec,v_sec,0);
%calculate rotation
%leg1
% latlon1=[c1.latitude(1) c1.longitude(1)];
% latlon2=[c1.latitude(end) c1.longitude(1)];
% deltlat2=lldisk(latlon1,latlon2);
% latlon1=[c1.latitude(end) c1.longitude(1)];
% latlon2=[c1.latitude(end) c1.longitude(end)];
% deltlon2=lldisk(latlon1,latlon2);
%leg2
latlon1=[c5.latitude(1) c5.longitude(1)];
latlon2=[c5.latitude(end) c5.longitude(1)];
deltlat2=lldisk(latlon1,latlon2);
latlon1=[c5.latitude(end) c5.longitude(1)];
latlon2=[c5.latitude(end) c5.longitude(end)];
deltlon2=lldisk(latlon1,latlon2);
%leg2_1
% latlon1=[c2.latitude(1) c2.longitude(1)];
% latlon2=[c2.latitude(end) c2.longitude(1)];
% deltlat2=lldisk(latlon1,latlon2);
% latlon1=[c2.latitude(end) c2.longitude(1)];
% latlon2=[c2.latitude(end) c2.longitude(end)];
% deltlon2=lldisk(latlon1,latlon2);
%leg2_2
% latlon1=[c3.latitude(1) c3.longitude(1)];
% latlon2=[c3.latitude(end) c3.longitude(1)];
% deltlat2=lldisk(latlon1,latlon2);
% latlon1=[c3.latitude(end) c3.longitude(1)];
% latlon2=[c3.latitude(end) c3.longitude(end)];
% deltlon2=lldisk(latlon1,latlon2);

% ro1=-atan(deltlon2/deltlat2)*180/pi
%  ro2_1=180-atan(deltlon2/deltlat2)*180/pi
%  ro2_2=180-atan(deltlon2/deltlat2)*180/pi
ro5=-180+atan(deltlon2/deltlat2)*180/pi



% [u2,v2] = speed2comp(speed,dir,ro1);
% [u2,v2] = speed2comp(speed,dir,ro2_1);
% [u2,v2] = speed2comp(speed,dir,ro2_2);
[u2,v2] = speed2comp(speed,dir,ro5);


%%
%first leg3
%temperature

%calculate mean temperature profile
Tbar5=nanmean(CT5,1);

%calculate anomaly
Tprime5 = CT5'-Tbar5'*ones(1,271); %change tbar to 306*168 matrix

%%
%draw the temperature anomely
figure(9)
subplot(4,2,2)
pcolor(c5.distance,c5.pressure,Tprime5)
shading flat
hold on
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
%caxis=[-5 5];
h=colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','^{\circ}C');
title('Temperature anomaly')
hold on 
% [a,b]=contour(c2.dist,c2.p,c2.sigma0,'r-');
% clabel(a,b)
% 
% hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.2:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')

subplot(4,2,1)

%plot temeprature
pcolor(c5.distance,c5.pressure,CT5')

shading flat
hold on
% plot(c.lat,c.mld,'k','LineWidth',1.75)
% hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.2:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
clims = [15 25];
caxis(clims)
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','^{\circ}C');
title('Temperature')
 

%%
%leg3
%oxygen
%calculate mean oxygen profile
Obar5=nanmean(c5.oxygen,1);

%calculate anomaly
Oprime5 = c5.oxygen'-Obar5'*ones(1,271); %change tbar to 306*168 matrix

%draw the oxygen anomely
% figure(2)
subplot(4,2,4)
pcolor(c5.distance,c5.pressure,Oprime5)
shading flat
hold on
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','uM');
title('Oxygen anomaly')
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.2:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
% hold on 
% [a,b]=contour(c2.dist,c2.p,c2.sigma0,'g-');
% clabel(a,b)

subplot(4,2,3)
clims = [100 230];

pcolor(c5.distance,c5.pressure,c5.oxygen')
shading flat
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.2:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
%[C,h]=contour(lat_sec,d_sec(:,1),u2);
%clabel(C,h,'Color','r')
%plot(c.lat,v2,'r','LineWidth',1.75)
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
caxis(clims)
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','uM');
title('Oxygen')

%%
%leg3
%salinity

%calculate mean salinity profile
Sbar5=nanmean(SA5,1);

%calculate anomaly
Sprime5 = SA5'-Sbar5'*ones(1,271); %change tbar to  matrix

%draw the salinity anomely
% figure(3)
subplot(4,2,6)
pcolor(c5.distance,c5.pressure,Sprime5)
shading flat
hold on
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','g/kg');
title('salinity anomaly')
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.2:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
% hold on 
% [a,b]=contour(c2.lat,c2.p,c2.sigma0,'g-');
% clabel(a,b)

clims = [34 36];
subplot(4,2,5)
pcolor(c5.distance,c5.pressure,SA5')
shading flat
hold on
% plot(c.lat,c.mld,'k','LineWidth',1.75)
% hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.2:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300])
h=colorbar;
caxis(clims)
ylabel('pressure (db)')
xlabel('distance(km)')
set(get(h,'title'),'string','g/kg');
title('Salinity')

%%
%density
%leg2

%calculate mean salinity profile
Dbar5=nanmean(c5.sigma0,1);

%calculate anomaly
Dprime5 = c5.sigma0'-Dbar5'*ones(1,271); %change tbar to  matrix

%draw the salinity anomely
% figure(4)
subplot(4,2,8)
pcolor(c5.distance,c5.pressure,Dprime5)
shading flat
hold on
set(gca,'Ydir','reverse')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300]);
h=colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
title('potential density anomaly')
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.2:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
% hold on 
% [a,b]=contour(c2.lat,c2.p,c2.sigma0,'g-');
% clabel(a,b)

clims = [22.8 26.8];
subplot(4,2,7)
pcolor(c5.distance,c5.pressure,c5.sigma0')
shading flat
hold on
% plot(c.lat,c.mld,'k','LineWidth',1.75)
% hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.2:0.8],'w-');
clabel(c,h,[0.02:0.1:0.8],'FontSize',8,'color','k')
set(gca,'Ydir','reverse','tickdir','out');
ylim([0 300])
h=colorbar;
caxis(clims)
ylabel('pressure (db)')
xlabel('distance(km)')
title('Density')



%%
%draw about velocity
%leg3

%plot u2
u_fig=figure(10);
subplot(2,1,1)
pcolor(adcp_dist,d_sec(:,1),u2)
shading flat
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.01:0.03],'k-');
clabel(c,h,0.02,'FontSize',8,'color','k')
hold on
 [a,d]=contour(c5.distance,c5.pressure,c5.sigma0',[23:1:26],'color',[0.7 0.7 0.7]);
%  clabel(a,d);
set(gca,'Ydir','reverse','tickdir','out');
colormap(u_fig,redblue);
caxis([-.6 .6]);
ylim([0 300])
colorbar();
ylabel('pressure (db)')
xlabel('distance(km)')
hold on
title('across-track velocity')
h=colorbar;
set(get(h,'title'),'string','m/s');
%plot v2
v_fig=figure(10);
subplot(2,1,2)
pcolor(adcp_dist,d_sec(:,1),v2)
shading flat

hold on
[a,d]=contour(c5.distance,c5.pressure,c5.sigma0',[23:1:26],'color',[0.7 0.7 0.7]);
clabel(a,d);
set(gca,'Ydir','reverse','tickdir','out');
colormap(v_fig,redblue);
caxis([-0.6 0.6]);
ylim([0 300])
colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
hold on
title('along-track velocity')
h=colorbar;
set(get(h,'title'),'string','m/s');
%%
%%
%%


%%extra leg 1
% tstart = find(adcp_time>=c5.time1(1),1)-1;
% tend = find(adcp_time>=c5.time1(end),1)-1;



lat_sec = adcp_lat(6660:6990);
lon_sec = adcp_lon(6660:6990);
lat_sec(lat_sec>0)=NaN;
good_index = ~isnan(lat_sec);
lat_sec = lat_sec(good_index);
lat_sec=sort(lat_sec,'descend');
u_sec = u(:,6660:6990);
u_sec = u_sec(:,good_index);
u_sec(u_sec>=10) = NaN;
v_sec = v(:,6660:6990);
v_sec = v_sec(:,good_index);
v_sec(v_sec>=10) = NaN;
d_sec = adcp_depth(:,6660:6990);
t_sec = adcp_time(6660:6990);
f_sec = gsw_f(lat_sec);
adcp_dist=[0 cumsum(gsw_distance(lon_sec,lat_sec))'/1000];
[speed,dir] = comp2speed(u_sec,v_sec,0);
%calculate rotation
%leg1
latlon1=[c1.latitude(1) c1.longitude(1)];
latlon2=[c1.latitude(end) c1.longitude(1)];
deltlat2=lldisk(latlon1,latlon2);
latlon1=[c1.latitude(end) c1.longitude(1)];
latlon2=[c1.latitude(end) c1.longitude(end)];
deltlon2=lldisk(latlon1,latlon2);
%leg2
% latlon1=[c5.latitude(1) c5.longitude(1)];
% latlon2=[c5.latitude(end) c5.longitude(1)];
% deltlat2=lldisk(latlon1,latlon2);
% latlon1=[c5.latitude(end) c5.longitude(1)];
% latlon2=[c5.latitude(end) c5.longitude(end)];
% deltlon2=lldisk(latlon1,latlon2);
%leg2_1
% latlon1=[c2.latitude(1) c2.longitude(1)];
% latlon2=[c2.latitude(end) c2.longitude(1)];
% deltlat2=lldisk(latlon1,latlon2);
% latlon1=[c2.latitude(end) c2.longitude(1)];
% latlon2=[c2.latitude(end) c2.longitude(end)];
% deltlon2=lldisk(latlon1,latlon2);
%leg2_2
% latlon1=[c3.latitude(1) c3.longitude(1)];
% latlon2=[c3.latitude(end) c3.longitude(1)];
% deltlat2=lldisk(latlon1,latlon2);
% latlon1=[c3.latitude(end) c3.longitude(1)];
% latlon2=[c3.latitude(end) c3.longitude(end)];
% deltlon2=lldisk(latlon1,latlon2);

ro1=-atan(deltlon2/deltlat2)*180/pi
%  ro2_1=180-atan(deltlon2/deltlat2)*180/pi
%  ro2_2=180-atan(deltlon2/deltlat2)*180/pi
% ro5=180-atan(deltlon2/deltlat2)*180/pi


% [u2,v2] = speed2comp(speed,dir,ro1);
% [u2,v2] = speed2comp(speed,dir,ro2_1);
% [u2,v2] = speed2comp(speed,dir,ro2_2);
[u2,v2] = speed2comp(speed,dir,ro1);

%plot u2
u_fig=figure(12);
subplot(2,1,1)
pcolor(adcp_dist,d_sec(:,1),u2)
shading flat
hold on
[c,h]=contour(adcp_dist,d_sec(:,1),u2,[0.02:0.01:0.03],'k-');
clabel(c,h,0.02,'FontSize',8,'color','k')
hold on
%  [a,d]=contour(c5.distance,c5.pressure,c5.sigma0','color',[0.7 0.7 0.7]);
set(gca,'Ydir','reverse','tickdir','out');
% [a,d]=contour(c5.distance,c5.pressure,c5.sigma0',[23:1:26],'color',[0.7 0.7 0.7]);
colormap(u_fig,redblue);
caxis([-.6 .6]);
ylim([0 300])
colorbar();
ylabel('pressure (db)')
xlabel('distance(km)')
hold on
title('Across-tracks velocity')
h=colorbar;
set(get(h,'title'),'string','m/s');
%plot v2
v_fig=figure(12);
subplot(2,1,2)
pcolor(adcp_dist,d_sec(:,1),v2)
shading flat

hold on
% [a,d]=contour(c5.distance,c5.pressure,c5.sigma0',[23:1:26],'color',[0.7 0.7 0.7]);
% clabel(a,d)
set(gca,'Ydir','reverse','tickdir','out');
colormap(v_fig,redblue);
caxis([-0.6 0.6]);
ylim([0 300])
colorbar;
ylabel('pressure (db)')
xlabel('distance(km)')
hold on
title('Along-track velocity')
h=colorbar;
set(get(h,'title'),'string','m/s');


%%
%volume transport for extra leg 1
% u_T1=interp1(lat_sec,u2',c1.latitude);
d=squeeze(d_sec(:,1));
u_T2=interp1(d,u2,c1.pressure); %transform velocity in the same form of other propoerties

% uwest=u_T2(i);
%calculate only the west velocity
u_T2(u_T2<0.02)=nan;


%calculate transport
delta_z=1; %every data points has 1m depth(z)
%change the x-axis into grid x, with 500 grid
% cumdist=[0 cumsum(gsw_distance(c2.lon,c2.lat))]; %first transform to distance sum
xgrid=[0:500:adcp_dist(end)*1000]; %divided distance into 500m
T_grid=nan*ones(306,length(xgrid));%temperature
V_grid=nan*ones(306,length(xgrid));%velocity
O_grid=nan*ones(306,length(xgrid));%oxygen
S_grid=nan*ones(306,length(xgrid));%salinity
sigma_grid=nan*ones(306,length(xgrid));
for k=1:306
    V_grid(k,:)=interp1(adcp_dist*1000,u_T2(k,:),xgrid);
%     T_grid(k,:)=interp1(c1.distance,c1.temperature(k,:),xgrid);
%     O_grid(k,:)=interp1(c1.distance,c1.oxygen(k,:),xgrid);
%     S_grid(k,:)=interp1(c1.distance,c1.salinity(k,:),xgrid);
end
%     T_grid=interp1(c1.distance*1000,CT1,xgrid);
%     O_grid=interp1(c1.distance*1000,c1.oxygen,xgrid);
%     S_grid=interp1(c1.distance*1000,SA1,xgrid);
%     sigma_grid=interp1(c1.distance*1000,c1.sigma0,xgrid);
%then can calculate transport again with another method

T_V=1*500.*V_grid;  %transport at every points
% T_T=1*500.*T_grid'.*V_grid;  %transport at every points
% T_O=1*500.*O_grid'.*V_grid;  %transport at every points
% T_S=1*500.*S_grid'.*V_grid;  %transport at every points

%then sum up
% T_V(isnan(T_V)==1) = 0; %change NAN into 0
% velocity_transport2=sum(T_V,'all')

index_good = find(~isnan(T_V));

volum_transport=sum(T_V(index_good),'all')   
% T_T(isnan(T_T)==1) = 0;
% temperature_transport=sum(T_T,'all')
% T_O(isnan(T_O)==1) = 0;
% oxygen_transport=sum(T_O,'all')
% T_S(isnan(T_S)==1) = 0;
% salinity_transport=sum(T_S,'all')

% figure(1)
% pcolor(xgrid,c1.pressure,T_V)
% shading flat
% set(gca,'Ydir','reverse','tickdir','out');
% title('transport of leg1')
% xlabel('distance(m)')
% ylabel('depth(m)')
% legend('transport(v>0.02m/s)=2.0295ST')

% figure(1)
% pcolor(xgrid,c4.pressure,T_V)
% shading flat
% set(gca,'Ydir','reverse','tickdir','out');
% title('transport of leg3')
% xlabel('distance(m)')
% ylabel('depth(m)')
% legend('transport(v>0.02m/s)=5.5864ST')

figure(13)
pcolor(xgrid,c1.pressure,T_V)
shading flat
set(gca,'Ydir','reverse','tickdir','out');
title('volume transport of leg1')
xlabel('distance(m)')
ylabel('depth(m)')
legend('transport(v>0.02m/s)=9.76 Sv')
h=colorbar;
set(get(h,'title'),'string','m^3/s');
grid on
% %try interp2
% depth=[1:310];
% velo_grid=interp2(c5.distance*1000,depth',u_T2,xgrid,depth');
% T_V2=1*500.*velo_grid; 
% T_V2(isnan(T_V2)==1) = 0; %change NAN into 0
% velocity_transport3=sum(T_V2,'all') %this seems right the same as interp1



