% draw the cars figure
clear
%%
%first load the data
addpath(genpath('~/matlabtoolbox/gsw_matlab_v3_06_11/'))


car_T=('/Users/hanmeng/data/cars/temperature_aus8_2013.nc');
car_S=('/Users/hanmeng/data/cars/salinity_aus8_2013.nc');
car_O=('/Users/hanmeng/data/cars/oxygen_cars2009.nc');
car_N=('/Users/hanmeng/data/cars/nitrate_cars2009.nc');
car_O2=('/Users/hanmeng/data/cars/new CARS data/oxygen_cars2009.nc');
car_N2=('/Users/hanmeng/data/cars/new CARS data/nitrate_cars2009.nc');
car_hgt=('/Users/hanmeng/data/cars/new CARS data/hgt2000_cars2009a.nc');
car_velocity=('/Users/hanmeng/data/cars/cars-ug-vg-RL2000-adjusted.nc');

hgt=ncread(car_hgt,'mean');
lonhgt=ncread(car_hgt,'lon');
lathgt=ncread(car_hgt,'lat');
T=ncread(car_T,'mean');
lonT=ncread(car_T,'lon');
latT=ncread(car_T,'lat');
depth=ncread(car_T,'depth');
S=ncread(car_S,'mean');
lonS=ncread(car_S,'lon');
latS=ncread(car_S,'lat');

for j=161
SA =  gsw_SA_from_SP(squeeze(S(j,:,:)),depth,repmat(lonS(j),401,1),latS); %convert practical salinity to absolute salinity

CT = gsw_CT_from_t(SA,squeeze(T(j,:,:)),depth);  
end
% geo_strf_dyn_height = gsw_geo_strf_dyn_height(SA,CT,depth,2000);


O=ncread(car_O,'mean');
lonO=ncread(car_O,'lon');
latO=ncread(car_O,'lat');
N=ncread(car_N,'mean');
lonN=ncread(car_N,'lon');
latN=ncread(car_N,'lat');
O2=ncread(car_O2,'mean');
lonO2=ncread(car_O2,'lon');
latO2=ncread(car_O2,'lat');
N2=ncread(car_N2,'mean');
lonN2=ncread(car_N2,'lon');
latN2=ncread(car_N2,'lat');
XAX=ncread(car_velocity,'XAX');
YAXM=ncread(car_velocity,'YAXM');
ZAXM=ncread(car_velocity,'ZAXM');
TAX_CLIM=ncread(car_velocity,'TAX_CLIM');
UG=ncread(car_velocity,'UG');
XAXM=ncread(car_velocity,'XAXM');
YAX=ncread(car_velocity,'YAX');
VG=ncread(car_velocity,'VG');

%%
deltz=[0; diff(ZAXM(1:36))];
y=repmat(110,280,1);
distance=[0 cumsum(gsw_distance(YAXM,y))'];
deltx=[0 diff(distance)];
deltu=squeeze(UG(161,:,1:36,6));
transport=deltu.*deltz'.*deltx';
figure(1)
pcolor(YAXM,ZAXM(1:36),transport')
shading flat
set(gca,'Ydir','reverse','tickdir','out');
title('volume transport along 110E (CARS)')
xlabel('latitude')
ylabel('depth(m)')
%legend('transport(v>0.02m/s)=1.9821 Sv')
h=colorbar;
set(get(h,'title'),'string','m^3/s');
grid on

for j=12
u_fig=figure(j)
pcolor(YAXM,ZAXM(1:45),squeeze(UG(161,:,1:45,j))')
shading flat
colormap(u_fig,redblue);
set(gca,'Ydir','reverse','tickdir','out');
% set(gca,'Xdir','reverse','tickdir','out');
h=colorbar
set(get(h,'title'),'string','m/s');
xlabel('Latitude');
ylabel('Depth')
title('CARS velocity across 110E line in December')
ylim([0 300]);
xlim([-35 -10])
end


%vertical
for j=6
u_fig=figure(j)
pcolor(ZAXM(7:8),YAXM,squeeze(UG(161,:,7:8,j)))
shading flat
colormap(u_fig,redblue);
% set(gca,'Ydir','reverse','tickdir','out');
% set(gca,'Xdir','reverse','tickdir','out');
h=colorbar
set(get(h,'title'),'string','m/s');
xlabel('Depth (m)');
ylabel('Latitude')
title('CARS velocity across 110E line in June')
% ylim([0 300]);
ylim([-28 -10])
end
% ncdisp(car_velocity)
% Source:
%            /Users/hanmeng/data/cars/cars-ug-vg-RL2000-adjusted.nc
% Format:
%            classic
% Global Attributes:
%            history     = 'FERRET V6.94   4-Dec-18'
%            Conventions = 'CF-1.6'
% Dimensions:
%            XAX      = 241
%            YAXM     = 280
%            bnds     = 2
%            ZAXM     = 78
%            TAX_CLIM = 12    (UNLIMITED)
%            XAXM     = 240
%            YAX      = 281
% Variables:
%     XAX      
%            Size:       241x1
%            Dimensions: XAX
%            Datatype:   double
%            Attributes:
%                        units         = 'degrees_east'
%                        point_spacing = 'even'
%                        axis          = 'X'
%                        modulo        = 360
%                        standard_name = 'longitude'
%     YAXM     
%            Size:       280x1
%            Dimensions: YAXM
%            Datatype:   double
%            Attributes:
%                        units         = 'degrees_north'
%                        point_spacing = 'uneven'
%                        axis          = 'Y'
%                        bounds        = 'YAXM_bnds'
%                        standard_name = 'latitude'
%     YAXM_bnds
%            Size:       2x280
%            Dimensions: bnds,YAXM
%            Datatype:   double
%     ZAXM     
%            Size:       78x1
%            Dimensions: ZAXM
%            Datatype:   double
%            Attributes:
%                        units         = 'meters'
%                        point_spacing = 'uneven'
%                        axis          = 'Z'
%                        bounds        = 'ZAXM_bnds'
%                        positive      = 'down'
%                        standard_name = 'depth'
%     ZAXM_bnds
%            Size:       2x78
%            Dimensions: bnds,ZAXM
%            Datatype:   double
%     TAX_CLIM 
%            Size:       12x1
%            Dimensions: TAX_CLIM
%            Datatype:   double
%            Attributes:
%                        units         = 'days since 0000-01-01 00:00:00'
%                        axis          = 'T'
%                        modulo        = 360
%                        time_origin   = '1-JAN-0000'
%                        calendar      = '360_DAY'
%                        standard_name = 'time'
%     UG       
%            Size:       241x280x78x12
%            Dimensions: XAX,YAXM,ZAXM,TAX_CLIM
%            Datatype:   double
%            Attributes:
%                        missing_value = -9.999999999999999e+33
%                        _FillValue    = -9.999999999999999e+33
%                        long_name     = 'monthly geostr. X vel. by ZD method'
%                        units         = 'm/s'
%     XAXM     
%            Size:       240x1
%            Dimensions: XAXM
%            Datatype:   double
%            Attributes:
%                        units         = 'degrees_east'
%                        point_spacing = 'uneven'
%                        axis          = 'X'
%                        bounds        = 'XAXM_bnds'
%                        modulo        = 360
%                        standard_name = 'longitude'
%     XAXM_bnds
%            Size:       2x240
%            Dimensions: bnds,XAXM
%            Datatype:   double
%     YAX      
%            Size:       281x1
%            Dimensions: YAX
%            Datatype:   double
%            Attributes:
%                        units         = 'degrees_north'
%                        point_spacing = 'even'
%                        axis          = 'Y'
%                        standard_name = 'latitude'
%     VG       
%            Size:       240x281x78x12
%            Dimensions: XAXM,YAX,ZAXM,TAX_CLIM
%            Datatype:   double
%            Attributes:
%                        missing_value = -9.999999999999999e+33
%                        _FillValue    = -9.999999999999999e+33
%                        long_name     = 'monthly geostr. Y vel. by ZD method'
%                        units         = 'm/s'

%load gsw toolbox
 addpath(genpath('~/matlabtoolbox/gsw_matlab_v3_06_11/'))
 %lat=1
 SA =  gsw_SA_from_SP(squeeze(S(1,:,:)),depth,lonS(1:401),latS);  %convert practical salinity to absolute salinity
 CT = gsw_CT_from_t(SA,squeeze(T(1,:,:)),depth);  %assign temp to the conservative temperature at that depth
 c1.sigma0 = gsw_sigma0(SA,CT);
 %lon=110
 SA =  gsw_SA_from_SP(squeeze(S(1:401,161,:)),depth,lonS(1:401),latS);  %convert practical salinity to absolute salinity
 CT = gsw_CT_from_t(SA,squeeze(T(1:401,161,:)),depth);  %assign temp to the conservative temperature at that depth
 c1.sigma0 = gsw_sigma0(SA,CT);
 gsw_SA_CT_plot(SA,CT)
%%
%then look surface temperature salnity and oxygen
%temperature
figure(1)
pcolor(lonT,latT,squeeze(T(:,:,1))');
shading flat
title('surface temperature')
%salinity
figure(2)
pcolor(lonS,latS,squeeze(S(:,:,1))');
shading flat
title('surface salinity')
%oxygen
figure(3)
pcolor(lonO,latO,squeeze(O(:,:,1))');
shading flat
title('surface oxygen')
%nitrate
figure(4)
pcolor(lonN,latN,squeeze(N(:,:,1))');
shading flat
title('surface nitrate')

%%
%then look 125m temperature salnity and oxygen
%temperature
figure(5)
pcolor(lonT,latT,squeeze(T(:,:,16))');
shading flat
title('125 temperature')
%salinity
figure(6)
pcolor(lonS,latS,squeeze(S(:,:,16))');
shading flat
title('125 salinity')
%oxygen
figure(7)
pcolor(lonO,latO,squeeze(O(:,:,16))');
shading flat
title('125 oxygen')
%nitrate
figure(8)
pcolor(lonN,latN,squeeze(N(:,:,16))');
shading flat
title('125 nitrate')

%%
%then look 250m temperature salnity and oxygen
%temperature
figure(9)
pcolor(lonT,latT,squeeze(T(:,:,31))');
shading flat
title('250 temperature')
%salinity
figure(10)
pcolor(lonS,latS,squeeze(S(:,:,31))');
shading flat
title('250 salinity')
%oxygen
figure(11)
pcolor(lonO,latO,squeeze(O(:,:,31))');
shading flat
title('250 oxygen')
%nitrate
figure(12)
pcolor(lonN,latN,squeeze(N(:,:,31))');
shading flat
title('250 nitrate')

%%
%then put them together and limit area


%surface
%temperature
figure(13)
subplot(2,2,1)
pcolor(lonT,latT,squeeze(T(:,:,1))');
shading flat
title('surface temperature')
axis([100 120 -40 -10]);
h=colorbar;
set(get(h,'title'),'string','^{\circ}C');
caxis([5 30]);
hold on
%draw three legs
    load('~/data/Triaxus/section/leg1AvgCast.mat')
    c1.lat=sectionStruct.latitude;
    c1.lon=sectionStruct.longitude;
    h=plot(c1.lon,c1.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg2AvgCast.mat')
    c2.lat=sectionStruct.latitude;
    c2.lon=sectionStruct.longitude;
    h=plot(c2.lon,c2.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg3AvgCast.mat')
    c3.lat=sectionStruct.latitude;
    c3.lon=sectionStruct.longitude;
    h=plot(c3.lon,c3.lat);
    set(h,'color','m','linew',1)
%salinity
subplot(2,2,2)
pcolor(lonS,latS,squeeze(S(:,:,1))');
shading flat
title('surface salinity')
axis([100 120 -40 -10])
colorbar
caxis([34 36]);
h=colorbar;
set(get(h,'title'),'string','1e-3');
hold on
%draw three legs
    load('~/data/Triaxus/section/leg1AvgCast.mat')
    c1.lat=sectionStruct.latitude;
    c1.lon=sectionStruct.longitude;
    h=plot(c1.lon,c1.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg2AvgCast.mat')
    c2.lat=sectionStruct.latitude;
    c2.lon=sectionStruct.longitude;
    h=plot(c2.lon,c2.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg3AvgCast.mat')
    c3.lat=sectionStruct.latitude;
    c3.lon=sectionStruct.longitude;
    h=plot(c3.lon,c3.lat);
    set(h,'color','m','linew',1)
%oxygen
subplot(2,2,3)
pcolor(lonO,latO,squeeze(O(:,:,1))');
shading flat
title('surface oxygen')
axis([100 120 -40 -10])
h=colorbar;
set(get(h,'title'),'string','1e-3');
caxis([2 6]);
hold on
%draw three legs
    load('~/data/Triaxus/section/leg1AvgCast.mat')
    c1.lat=sectionStruct.latitude;
    c1.lon=sectionStruct.longitude;
    h=plot(c1.lon,c1.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg2AvgCast.mat')
    c2.lat=sectionStruct.latitude;
    c2.lon=sectionStruct.longitude;
    h=plot(c2.lon,c2.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg3AvgCast.mat')
    c3.lat=sectionStruct.latitude;
    c3.lon=sectionStruct.longitude;
    h=plot(c3.lon,c3.lat);
    set(h,'color','m','linew',1)
%nitrate
subplot(2,2,4)
pcolor(lonN,latN,squeeze(N(:,:,1))');
shading flat
title('surface nitrate')
axis([100 120 -40 -10])
h=colorbar;
set(get(h,'title'),'string','u mol');

caxis([0 5]);
hold on
%draw three legs
    load('~/data/Triaxus/section/leg1AvgCast.mat')
    c1.lat=sectionStruct.latitude;
    c1.lon=sectionStruct.longitude;
    h=plot(c1.lon,c1.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg2AvgCast.mat')
    c2.lat=sectionStruct.latitude;
    c2.lon=sectionStruct.longitude;
    h=plot(c2.lon,c2.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg3AvgCast.mat')
    c3.lat=sectionStruct.latitude;
    c3.lon=sectionStruct.longitude;
    h=plot(c3.lon,c3.lat);
    set(h,'color','m','linew',1)

%%
%then look 125m temperature salnity and oxygen
%temperature
figure(14)
subplot(2,2,1)
pcolor(lonT,latT,squeeze(T(:,:,16))');
shading flat
title('150 temperature')
axis([100 120 -40 -10])
h=colorbar;
set(get(h,'title'),'string','^{\circ}C');
caxis([5 30]);
hold on
%draw three legs
    load('~/data/Triaxus/section/leg1AvgCast.mat')
    c1.lat=sectionStruct.latitude;
    c1.lon=sectionStruct.longitude;
    h=plot(c1.lon,c1.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg2AvgCast.mat')
    c2.lat=sectionStruct.latitude;
    c2.lon=sectionStruct.longitude;
    h=plot(c2.lon,c2.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg3AvgCast.mat')
    c3.lat=sectionStruct.latitude;
    c3.lon=sectionStruct.longitude;
    h=plot(c3.lon,c3.lat);
    set(h,'color','m','linew',1)
%salinity
subplot(2,2,2)
pcolor(lonS,latS,squeeze(S(:,:,16))');
shading flat
title('150 salinity')
axis([100 120 -40 -10])
h=colorbar;
set(get(h,'title'),'string','1e-3');
hold on
%draw three legs
    load('~/data/Triaxus/section/leg1AvgCast.mat')
    c1.lat=sectionStruct.latitude;
    c1.lon=sectionStruct.longitude;
    h=plot(c1.lon,c1.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg2AvgCast.mat')
    c2.lat=sectionStruct.latitude;
    c2.lon=sectionStruct.longitude;
    h=plot(c2.lon,c2.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg3AvgCast.mat')
    c3.lat=sectionStruct.latitude;
    c3.lon=sectionStruct.longitude;
    h=plot(c3.lon,c3.lat);
    set(h,'color','m','linew',1)
%oxygen
subplot(2,2,3)
pcolor(lonO,latO,squeeze(O(:,:,16))');
shading flat
title('150 oxygen')
axis([100 120 -40 -10])
h=colorbar;
set(get(h,'title'),'string','1e-3');
caxis([2 6]);
hold on
%draw three legs
    load('~/data/Triaxus/section/leg1AvgCast.mat')
    c1.lat=sectionStruct.latitude;
    c1.lon=sectionStruct.longitude;
    h=plot(c1.lon,c1.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg2AvgCast.mat')
    c2.lat=sectionStruct.latitude;
    c2.lon=sectionStruct.longitude;
    h=plot(c2.lon,c2.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg3AvgCast.mat')
    c3.lat=sectionStruct.latitude;
    c3.lon=sectionStruct.longitude;
    h=plot(c3.lon,c3.lat);
    set(h,'color','m','linew',1)
%nitrate
subplot(2,2,4)
pcolor(lonN,latN,squeeze(N(:,:,16))');
shading flat
title('150 nitrate')
axis([100 120 -40 -10])
h=colorbar;
set(get(h,'title'),'string','u mol');
caxis([0 20]);
hold on
%draw three legs
    load('~/data/Triaxus/section/leg1AvgCast.mat')
    c1.lat=sectionStruct.latitude;
    c1.lon=sectionStruct.longitude;
    h=plot(c1.lon,c1.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg2AvgCast.mat')
    c2.lat=sectionStruct.latitude;
    c2.lon=sectionStruct.longitude;
    h=plot(c2.lon,c2.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg3AvgCast.mat')
    c3.lat=sectionStruct.latitude;
    c3.lon=sectionStruct.longitude;
    h=plot(c3.lon,c3.lat);
    set(h,'color','m','linew',1)
%%
%then look 250m temperature salnity and oxygen
%temperature
figure(15)
subplot(2,2,1)
pcolor(lonT,latT,squeeze(T(:,:,31))');
shading flat
title('250 temperature')
axis([100 120 -40 -10])
h=colorbar;
set(get(h,'title'),'string','^{\circ}C');
caxis([5 30]);
hold on
%draw three legs
    load('~/data/Triaxus/section/leg1AvgCast.mat')
    c1.lat=sectionStruct.latitude;
    c1.lon=sectionStruct.longitude;
    h=plot(c1.lon,c1.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg2AvgCast.mat')
    c2.lat=sectionStruct.latitude;
    c2.lon=sectionStruct.longitude;
    h=plot(c2.lon,c2.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg3AvgCast.mat')
    c3.lat=sectionStruct.latitude;
    c3.lon=sectionStruct.longitude;
    h=plot(c3.lon,c3.lat);
    set(h,'color','m','linew',1)
%salinity
subplot(2,2,2)
pcolor(lonS,latS,squeeze(S(:,:,31))');
shading flat
title('250 salinity')
axis([100 120 -40 -10])
h=colorbar;
set(get(h,'title'),'string','1e-3');
hold on
%draw three legs
    load('~/data/Triaxus/section/leg1AvgCast.mat')
    c1.lat=sectionStruct.latitude;
    c1.lon=sectionStruct.longitude;
    h=plot(c1.lon,c1.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg2AvgCast.mat')
    c2.lat=sectionStruct.latitude;
    c2.lon=sectionStruct.longitude;
    h=plot(c2.lon,c2.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg3AvgCast.mat')
    c3.lat=sectionStruct.latitude;
    c3.lon=sectionStruct.longitude;
    h=plot(c3.lon,c3.lat);
    set(h,'color','m','linew',1)
%oxygen
subplot(2,2,3)
pcolor(lonO,latO,squeeze(O(:,:,31))');
shading flat
title('250 oxygen')
axis([100 120 -40 -10])
h=colorbar;
set(get(h,'title'),'string','1e-3');
caxis([2 6]);
hold on
%draw three legs
    load('~/data/Triaxus/section/leg1AvgCast.mat')
    c1.lat=sectionStruct.latitude;
    c1.lon=sectionStruct.longitude;
    h=plot(c1.lon,c1.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg2AvgCast.mat')
    c2.lat=sectionStruct.latitude;
    c2.lon=sectionStruct.longitude;
    h=plot(c2.lon,c2.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg3AvgCast.mat')
    c3.lat=sectionStruct.latitude;
    c3.lon=sectionStruct.longitude;
    h=plot(c3.lon,c3.lat);
    set(h,'color','m','linew',1)
%nitrate
subplot(2,2,4)
pcolor(lonN,latN,squeeze(N(:,:,31))');
shading flat
title('250 nitrate')
axis([100 120 -40 -10])
h=colorbar;
set(get(h,'title'),'string','u mol');
caxis([0 20]);
hold on
%draw three legs
    load('~/data/Triaxus/section/leg1AvgCast.mat')
    c1.lat=sectionStruct.latitude;
    c1.lon=sectionStruct.longitude;
    h=plot(c1.lon,c1.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg2AvgCast.mat')
    c2.lat=sectionStruct.latitude;
    c2.lon=sectionStruct.longitude;
    h=plot(c2.lon,c2.lat);
    set(h,'color','m','linew',1)
    hold on
    load('~/data/Triaxus/section/leg3AvgCast.mat')
    c3.lat=sectionStruct.latitude;
    c3.lon=sectionStruct.longitude;
    h=plot(c3.lon,c3.lat);
    set(h,'color','m','linew',1)
%see along lon=110 the change of the salinity,temperature oxygen nitrate
figure(16)
%temepraure
subplot(2,2,1)
clims = [0 31];
pcolor(latT,depth,squeeze(T(161,:,:))')
shading flat
set(gca,'Ydir','reverse')
caxis([34 36]);
ylabel('pressure (db)')
xlabel('latitude')
title('cars temperature of 110E')
h=colorbar;
caxis(clims)
xlim([-40 -10])
ylim([0 1000])
set(get(h,'title'),'string','degree_Celsius');



%salinity
subplot(2,2,2)
pcolor(latS,depth,squeeze(S(161,:,:))')
shading flat
set(gca,'Ydir','reverse')
caxis([34 36]);
ylabel('pressure (db)')
xlabel('latitude')
title('cars Salinity of 110E')
h=colorbar;
xlim([-40 -10])
ylim([0 1000])
set(get(h,'title'),'string','g/kg');

%oxygen
clims = [0 8];
subplot(2,2,3)
pcolor(latO2,depth,squeeze(O2(221,:,:))')
shading flat
set(gca,'Ydir','reverse')
% caxis([34 36]);
ylabel('pressure (db)')
xlabel('latitude')
title('cars oxygen of 110E')
h=colorbar;
caxis(clims)
xlim([-40 -10])
ylim([0 1000])
set(get(h,'title'),'string','ml/L');

%nitrate

subplot(2,2,4)
pcolor(latN2,depth,squeeze(N2(221,:,:))')
shading flat
set(gca,'Ydir','reverse')
ylim([0 1000])

% caxis([34 36]);
ylabel('pressure (db)')
xlabel('latitude')
title('cars nitrate of 110E')
h=colorbar;
xlim([-40 -10])
set(get(h,'title'),'string','u mol/L');





%salinity changing in different layers
figure(17)
subplot(2,3,1)
pcolor(lonS,latS,squeeze(S(:,:,1))');
shading flat
caxis([34 36]);
title('0 salinity')
xlim([90 120])
subplot(2,3,2)
pcolor(lonS,latS,squeeze(S(:,:,5))');
shading flat
caxis([34 36]);
title('30 salinity')
xlim([90 120])
subplot(2,3,3)
pcolor(lonS,latS,squeeze(S(:,:,11))');
shading flat
caxis([34 36]);
title('80 salinity')
xlim([90 120])
subplot(2,3,4)
pcolor(lonS,latS,squeeze(S(:,:,15))');
shading flat
caxis([34 36]);
title('120 salinity')
xlim([90 120])
subplot(2,3,5)
pcolor(lonS,latS,squeeze(S(:,:,17))');
shading flat
caxis([34 36]);
title('130 salinity')
xlim([90 120])
subplot(2,3,6)
pcolor(lonS,latS,squeeze(S(:,:,19))');
shading flat
caxis([34 36]);
title('150 salinity')
xlim([90 120])

%%
%look at the relation ship of Oxygen and Nirate
plot(squeeze(O2(221,111:131,13:37)),squeeze(N2(221,111:131,13:37)))
xlabel('Oxygen (ml/L)')
ylabel('Nitrate (umol/L)')

% o1=[];
% o2=squeeze(O2(221,111:131,13:37));
% for i=1:25
%     o1=[o1  o2(:,i)'];
% end
% o3=mean(o1);
% n1=[];
% n2=squeeze(N2(221,111:131,13:37));
% for i=1:25
%     n1=[n1  n2(:,i)'];
% end
% n3=mean(n1);
 plot(o1,n1)
% xlabel('Oxygen (uM)')
% ylabel('Nitrate (umol/L)')

%title('relationship of the nitrate-oxygen')
hold on
% model=fit(squeeze(O2(221,111:131,13:37)),squeeze(N2(221,111:131,13:37)),'a + b*x')

a=[];
b=[];
for i=13:37
    model=fit(squeeze(O2(221,111:131,i))',squeeze(N2(221,111:131,i))','a + b*x')
    model_n = model(squeeze(O2(221,111:131,i))');
    coefficients = coeffvalues(model);
    a=[a coefficients(1)];
    b=[b coefficients(2)];
    %plot(squeeze(O2(221,111:131,13:37)),model_n,'r')
    %hold on
end
mean (a)
mean(b)
plot(mean(a)+mean(b)*squeeze(O2(221,111:131,13:37))','r')


%look at the dynamic height
pcolor(lonhgt,lathgt,hgt');
shading flat
title('Mean dynamic height rel 2000')
axis([100 120 -40 -10]);
h=colorbar;
set(get(h,'title'),'string','m');
caxis([2 3]);
