%cars 110E
% draw the cars figure
clear
%%
addpath(genpath('~/matlabtoolbox/gsw_matlab_v3_06_11/'))
%first load the data
car_T=('/Users/hanmeng/data/cars/temperature_aus8_2013.nc');
car_S=('/Users/hanmeng/data/cars/salinity_aus8_2013.nc');
car_O=('/Users/hanmeng/data/cars/oxygen_cars2009.nc');
car_N=('/Users/hanmeng/data/cars/nitrate_cars2009.nc');
car_velocity=('/Users/hanmeng/data/cars/cars-ug-vg-RL2000-adjusted.nc');
T=ncread(car_T,'mean');
lonT=ncread(car_T,'lon');
latT=ncread(car_T,'lat');
depth=ncread(car_T,'depth');
S=ncread(car_S,'mean');
lonS=ncread(car_S,'lon');
latS=ncread(car_S,'lat');
O=ncread(car_O,'mean');
lonO=ncread(car_O,'lon');
latO=ncread(car_O,'lat');
N=ncread(car_N,'mean');
lonN=ncread(car_N,'lon');
latN=ncread(car_N,'lat');
XAX=ncread(car_velocity,'XAX');
YAXM=ncread(car_velocity,'YAXM');
ZAXM=ncread(car_velocity,'ZAXM');
TAX_CLIM=ncread(car_velocity,'TAX_CLIM');
UG=ncread(car_velocity,'UG');
XAXM=ncread(car_velocity,'XAXM');
YAX=ncread(car_velocity,'YAX');
VG=ncread(car_velocity,'VG');


%%
for j=1:79
 SA(:,:,j) =  gsw_SA_from_SP(S(:,:,j),j,lonS,latS);%convert practical salinity to absolute salinity
 CT(:,:,j) = gsw_CT_from_t(SA(:,:,j),T(:,:,j),j); %assign temp to the conservative temperature at that depth
 sigma0(:,:,j) = gsw_sigma0(SA(:,:,j),CT(:,:,j));
end

%     z= gsw_z_from_p(repmat(pressure,length(lat(j)),1),lat(j)');
%     depth = gsw_depth_from_z(z);
%%
%see along lon=110 the change of the salinity,temperature oxygen nitrate
figure(1)
%temepraure
subplot(2,2,1)
clims = [0 31];
pcolor(latT,depth,squeeze(CT(161,:,:))')
shading flat
set(gca,'Ydir','reverse')
caxis([34 36]);
ylabel('pressure (db)')
xlabel('latitude')
title('cars temperature of 110E')
h=colorbar;
caxis(clims)
xlim([-40 -10])
ylim([0 1500])
set(get(h,'title'),'string','degree_Celsius');
hold on
[a,b]=contour(latT,depth,squeeze(sigma0(161,:,:))','color',[0.7 0.7 0.7]);
clabel(a,b)


%salinity
subplot(2,2,2)
pcolor(latS,depth,squeeze(SA(161,:,:))')
shading flat
set(gca,'Ydir','reverse')
caxis([34 36]);
ylabel('pressure (db)')
xlabel('latitude')
title('cars Salinity of 110E')
h=colorbar;
xlim([-40 -10])
ylim([0 1500])
set(get(h,'title'),'string','g/kg');
hold on
[a,b]=contour(latS,depth,squeeze(sigma0(161,:,:))','color',[0.7 0.7 0.7]);
clabel(a,b)
%oxygen
clims = [0 8];
subplot(2,2,3)
pcolor(latO,depth,squeeze(O(222,:,:))')
shading flat
set(gca,'Ydir','reverse')
caxis([34 36]);
ylabel('pressure (db)')
xlabel('latitude')
title('cars oxygen of 110E')
h=colorbar;
caxis(clims)
xlim([-40 -10])
ylim([0 1500])
set(get(h,'title'),'string','1e-3');
% hold on
% [a,b]=contour(latO,depth,squeeze(sigma0(161,:,:))','g-');
% clabel(a,b)
%nitrate

subplot(2,2,4)
pcolor(latN,depth,squeeze(N(222,:,:))')
shading flat
set(gca,'Ydir','reverse')
caxis([34 36]);
ylabel('pressure (db)')
xlabel('latitude')
title('cars nitrate of 110E')
h=colorbar;
xlim([-40 -10])
ylim([0 1500])
set(get(h,'title'),'string','umol');
% hold on
% [a,b]=contour(latN,depth,squeeze(sigma0(161,:,:))','g-');
% clabel(a,b)

