%110E N,O,S,T in CTD velocityin ADCP
clear
%load CTD data
addpath(genpath('~/matlabtoolbox/gsw_matlab_v3_06_11/'))
CTD_dir = '/Users/hanmeng/data/CTDavg/';
%files_mat=dir([CTD_dir,'*.mat']);
files_nc=dir([CTD_dir,'*.nc']);
nfiles=length(files_nc);
for j=1:50
    %   A=eval(['load(''',[CTD_dir,files_mat(j).name],''')'])
    %filename=[ctd_dir,filelist(s).name];
    %ncid=netcdf.open(filename,'NC_NOWRITE');
    [var,att,var_att]=nc2mat([CTD_dir,files_nc(j).name]);
    CTD(j)=var;
    lon(j)=var.longitude;
    lat(j)=var.latitude;
    time(j)=var.time/60/24+datenum(1900,1,1,0,0,0); % convert to datenum format
    %max_press(j) = var.pressure(max(find(~isnan(var.temperature)))); (why
    %temperature?
    
    temperature=var.temperature;
    pressure=var.pressure;
    oxygen=var.oxygen;
    salinity=var.salinity;
    
    %calculate density
    
    SA =  gsw_SA_from_SP(salinity,pressure',lon(j),lat(j));  %convert practical salinity to absolute salinity
    CT = gsw_CT_from_t(SA,temperature,pressure');  %assign temp to the conservative temperature at that depth
    sigma0 = gsw_sigma0(SA,CT);
    z= gsw_z_from_p(repmat(pressure,length(lat(j)),1),lat(j)');
    depth = gsw_depth_from_z(z);
    figure(1)
    subplot(1,3,1)
    plot(CT,pressure)
    set(gca,'Ydir','reverse')
    title('temperature')
    hold on
    subplot(1,3,2)
    plot(SA,pressure)
    set(gca,'Ydir','reverse')
    title('salinity')
    hold on
    subplot(1,3,3)
    plot(oxygen,pressure)
    set(gca,'Ydir','reverse')
    title('oxygen')
    
    hold on
     figure(2)
    plot(SA,CT)
    title('S-T')
    xlabel('salinity')
    ylabel('temperature')
    hold on
end