%Shh_cur_tria_leg1_leg2_leg3

clear
%load triaxus data
addpath(genpath('~/matlabtoolbox/gsw_matlab_v3_06_11/'))
leg1='/Users/hanmeng/data/in2019_v03CtdAvgTriaxus_VerticalCasts_nc/deployment1AvgCast.nc';
leg2_1='/Users/hanmeng/data/in2019_v03CtdAvgTriaxus_VerticalCasts_nc/deployment2Leg1AvgCast.nc';
leg2_2='/Users/hanmeng/data/in2019_v03CtdAvgTriaxus_VerticalCasts_nc/deployment2Leg2AvgCast.nc';
leg3='/Users/hanmeng/data/in2019_v03CtdAvgTriaxus_VerticalCasts_nc/deployment3AvgCast.nc';
%ncdisp(leg1);
[var1,Att1,Var_att1]=nc2mat(leg1);
[var2_1,Att2_1,Var_att2_1]=nc2mat(leg2_1);
[var2_2,Att2_2,Var_att2_2]=nc2mat(leg2_2);
[var3,Att3,Var_att3]=nc2mat(leg3);
c1.latitude=var1.latitude;
c1.longitude=var1.longitude;
c1.time=var1.time;
c1.time1 =(c1.time/1440+datenum(1900,01,01,0,0,0));
c2.latitude=var2_1.latitude;
c2.longitude=var2_1.longitude;
c2.time=var2_1.time;
c2.time1 =(c2.time/1440+datenum(1900,01,01,0,0,0));
c3.latitude=var2_2.latitude;
c3.longitude=var2_2.longitude;
c3.time=var2_2.time;
c3.time1 =(c3.time/1440+datenum(1900,01,01,0,0,0));
c4.latitude=var3.latitude;
c4.longitude=var3.longitude;
c4.time=var3.time;
c4.time1 =(c4.time/1440+datenum(1900,01,01,0,0,0));




%add adcp data
%subset adcp at same times as triaxus
cd '~/data/Triaxus/section/'
fn=(['os150nb.nc']);
adcp_lat = ncread(fn,'lat');
adcp_lon = ncread(fn,'lon');
adcp_depth = ncread(fn,'depth');
adcp_time = datenum(2019,01,01,00,00,00)+ncread(fn,'time');
u = ncread(fn,'u');
v = ncread(fn,'v');

tstart = find(adcp_time>=c1.time1(1),1)-1;
tend = find(adcp_time>=c4.time1(end),1)-1;

lat_sec = adcp_lat(tstart:tend);
lon_sec = adcp_lon(tstart:tend);
lat_sec(lat_sec>0)=NaN;
good_index = ~isnan(lat_sec);
lat_sec = lat_sec(good_index);
lat_sec=sort(lat_sec,'descend');
u_sec = u(:,tstart:tend);
u_sec = u_sec(:,good_index);
u_sec(u_sec>=10) = NaN;
v_sec = v(:,tstart:tend);
v_sec = v_sec(:,good_index);
v_sec(v_sec>=10) = NaN;
d_sec = adcp_depth(:,tstart:tend);
t_sec = adcp_time(tstart:tend);
f_sec = gsw_f(lat_sec);






SSH=('/Users/hanmeng/data/ssh/ssh.nc');
%ncdisp('/Users/hanmeng/data/SSH,5-6/IMOS_aggregation_20190919T065140Z.nc')
[Var, Att, var_att] = nc2mat(SSH);
ssh=Var
for j=length(ssh.TIME)
    figure(j)
 
%     colormap(redblue)
%contour(lon,lat,sla,[-.4:.05:.4])
flat_pcolor(ssh.LONGITUDE,ssh.LATITUDE,squeeze(ssh.GSL(:,:,j)'))

% shading flat
% caxis([-.4 .4])
f=colorbar
hold on
% [c,h]=contour(ssh.LONGITUDE,ssh.LATITUDE,squeeze(ssh.GSL(:,:,j)'),[2.38:.02:2.52],'color',[0 0 0],'linew',1);
%[c,h]=contour(ssh_lon,ssh_lat,adt,[0.8:.01:0.95],'b');
%clabel(c,h,[0:.1:1.2])
% clabel(c,h)
hold on
q=quiver(ssh.LONGITUDE(1:2:end),ssh.LATITUDE(1:2:end),squeeze(ssh.UCUR(1:2:end,1:2:end,j)'),squeeze(ssh.VCUR(1:2:end,1:2:end,j)'),'color','b');
    q.AutoScaleFactor=4;
    qu=quiver(lon_sec(1:10:end),lat_sec(1:10:end),u_sec(1,1:10:end)',v_sec(1,1:10:end)','color','cyan')
    qu.AutoScaleFactor=2;
    nanrange(ssh.GSL);
    hold on
    
    quiver(114.5,-24.2,4*0.5,4*0,0,'k-');
    text(114.5,-24.4,'0.5 ms^{-1}','hor','left')
    
    h=plot(c1.longitude,c1.latitude);
    set(h,'color','m','linew',2)
    hold on
    h=plot(c2.longitude,c2.latitude);
    set(h,'color','m','linew',2)
    hold on
    h=plot(c3.longitude,c3.latitude);
    set(h,'color','m','linew',2)
    hold on
    h=plot(c4.longitude,c4.latitude);
    set(h,'color','m','linew',2)
    hold on
    
    title('SSH, Surface velocity and Triaxus routs and CTD stations')
    xlabel('Longitude')
    ylabel('Latitude')
    set(get(f,'title'),'string','mm');
    set(gca,'fontsize',14,'tickdir','out')

    
   


%     %draw three legs
%     load('~/data/Triaxus/section/leg1AvgCast.mat')
%     c1.lat=sectionStruct.latitude;
%     c1.lon=sectionStruct.longitude;
%     h=plot(c1.lon,c1.lat);
%     set(h,'color','m','linew',2)
%     hold on
%     load('~/data/Triaxus/section/leg2AvgCast.mat')
%     c2.lat=sectionStruct.latitude;
%     c2.lon=sectionStruct.longitude;
%     h=plot(c2.lon,c2.lat);
%     set(h,'color','m','linew',2)
%     hold on
%     load('~/data/Triaxus/section/leg3AvgCast.mat')
%     c3.lat=sectionStruct.latitude;
%     c3.lon=sectionStruct.longitude;
%     h=plot(c3.lon,c3.lat);
%     set(h,'color','m','linew',2)
%     hold on
    %draw five CTD ststions on the legs
    %load CTD data
    
    CTD_dir = '/Users/hanmeng/data/CTDavg/';
    %files_mat=dir([CTD_dir,'*.mat']);
    files_nc=dir([CTD_dir,'*.nc']);
    nfiles=length(files_nc);
    for i=[19:2:39,48,50:54]
        %   A=eval(['load(''',[CTD_dir,files_mat(j).name],''')'])
        %filename=[ctd_dir,filelist(s).name];
        %ncid=netcdf.open(filename,'NC_NOWRITE');
        [var,att,var_att]=nc2mat([CTD_dir,files_nc(i).name]);
        CTD(i)=var;
        lon(i)=var.longitude;
        lat(i)=var.latitude;
        time(i)=var.time/60/24+datenum(1900,1,1,0,0,0);
       depth(i)=max(var.pressure)
%         plot(lon(i),lat(i),'+','color','w','markersize',8)
        hp=plot(lon(i),lat(i),'ko','markersize',12,'linewidth',.5,'markerfacecolor','w');
        text(lon(i),lat(i),[int2str(i)],...
        'fontweight','bold','hor','cent','fontsize',8,'color','k')
        hold on
        
%         
       load coastlines;
    plot(coastlon,coastlat,'w','linew',3);
     
    
    axis([104 116 -28 -10])  
    
hold on 
    end
    
    
end

    


pic_num = 1;
for j=1:length(ssh.TIME)
    figure(j);  
    F=getframe(gcf);
    I=frame2im(F);
    [I,map]=rgb2ind(I,256);
    if pic_num == 1
    imwrite(I,map,'Figure1.gif','gif','Loopcount',inf,'DelayTime',1);
    else
    imwrite(I,map,'Figure1.gif','gif','WriteMode','append','DelayTime',1);
    end
    pic_num = pic_num + 1;
end

